# Devis

Un devis est un document associé à un client (contact, organisation ou contact d'organisation). Il contient des lignes ainsi que des informations générales. Le devis peut être de type `estimate` (devis) ou `purchase_order` (bon de commande).

Un devis créé est dans un état brouillon tant qu'il n'a pas été finalisé. Une fois finalisé, il peut être signé/refusé par le client, et donner lieu à des acomptes ou à une facture finale.

## Créer un devis

L'identifiant `customerId` peut correspondre à un `contactId` ou à un `organizationId`. Précisez `estimateType` pour créer un devis (`estimate`) ou un bon de commande (`purchase_order`).

## POST /v2/billing/estimate/{customerId}

> Create a new estimate with a customerId that can be a contactId or an organizationId

```json
{"openapi":"3.0.0","info":{"title":"Abby API","version":"1.0"},"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"CreateEstimateByCustomerIdDto":{"type":"object","properties":{"estimateType":{"default":"estimate","allOf":[{"$ref":"#/components/schemas/EstimateType"}]}}},"EstimateType":{"type":"string","enum":["estimate","purchase_order"]},"ReadEstimateDto":{"type":"object","properties":{"id":{"type":"string"},"number":{"type":"string"},"title":{"type":"string","description":"Title of the billing document"},"type":{"allOf":[{"$ref":"#/components/schemas/BillingType"}]},"state":{"allOf":[{"$ref":"#/components/schemas/BillingState"}]},"customer":{"$ref":"#/components/schemas/ReadBillingCustomerDto"},"locale":{"allOf":[{"$ref":"#/components/schemas/BillingLocale"}]},"emittedAt":{"type":"number"},"archivedAt":{"type":"number"},"opportunity":{"$ref":"#/components/schemas/OpportunityDto"},"locked":{"type":"boolean"},"finalizable":{"type":"boolean"},"test":{"type":"boolean"},"isEditable":{"type":"boolean"},"currencyCode":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}]},"currency":{"$ref":"#/components/schemas/ReadCurrencyDto"},"lastDownloadAt":{"type":"number"},"attachments":{"type":"array","items":{"$ref":"#/components/schemas/ReadFileDto"}},"finalizeRequirements":{"type":"array","items":{"$ref":"#/components/schemas/FinalizeRequirementDto"}},"warnings":{"type":"array","items":{"$ref":"#/components/schemas/BillingWarningDto"}},"emitter":{"$ref":"#/components/schemas/ReadBillingEmitterDto"},"bankInformation":{"$ref":"#/components/schemas/ReadBankInformationDto"},"billingLegals":{"$ref":"#/components/schemas/BillingLegalsDto"},"createdAt":{"type":"number"},"updatedAt":{"type":"number"},"deliveryDate":{"type":"number"},"compatibilityVersion":{"allOf":[{"$ref":"#/components/schemas/BillingCompatibilityVersion"}]},"isDeletable":{"type":"boolean"},"displayDeliveryAddress":{"type":"boolean"},"finalizedAt":{"type":"number"},"lastSendByEmailAt":{"type":"number"},"themeId":{"type":"string","description":"ID of the theme applied to this document when set"},"paymentDelay":{"allOf":[{"$ref":"#/components/schemas/PaymentDelay"}]},"expiredAt":{"type":"number"},"refusedAt":{"type":"number"},"signedAt":{"type":"number"},"lines":{"type":"array","items":{"$ref":"#/components/schemas/ReadBillingDetailsLineDto"}},"total":{"$ref":"#/components/schemas/EstimateTotalDto"},"discount":{"$ref":"#/components/schemas/DiscountDto"},"latePenalty":{"$ref":"#/components/schemas/LatePenaltyDto"},"lumpSumCompensation":{"$ref":"#/components/schemas/LumpSumCompensationDto"},"discountAdvancePayment":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/BillingDiscountAdvancePaymentDto"}]},"displaySettings":{"$ref":"#/components/schemas/DisplaySettingsDto"},"advances":{"type":"array","items":{"$ref":"#/components/schemas/ReadAdvanceDto"}},"advanceEstimateLines":{"$ref":"#/components/schemas/ReadEstimateAdvanceLinesDto"},"withElectronicSignature":{"type":"boolean"},"electronicSignature":{"$ref":"#/components/schemas/EstimateElectronicSignatureDto"},"dueAt":{"type":"number"},"electronicSignatureRequirements":{"type":"array","items":{"$ref":"#/components/schemas/ElectronicSignatureRequirementDto"}},"hasFinalInvoice":{"type":"boolean"},"includeDiscountDisbursement":{"type":"boolean"}},"required":["id","type","state","customer","locale","emittedAt","finalizable","test","isEditable","currencyCode","currency","attachments","finalizeRequirements","warnings","emitter","billingLegals","createdAt","updatedAt","compatibilityVersion","isDeletable","displayDeliveryAddress","paymentDelay","expiredAt","lines","total","displaySettings","advances","advanceEstimateLines","withElectronicSignature","electronicSignature","electronicSignatureRequirements","hasFinalInvoice","includeDiscountDisbursement"]},"BillingType":{"type":"number","enum":[1,2,3,4,5]},"BillingState":{"type":"string","enum":[1,2,3,4,5]},"ReadBillingCustomerDto":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the customer"},"legacyId":{"type":"string","description":"Legacy identifier of the customer"},"currency":{"description":"Preferred currency of the customer","allOf":[{"$ref":"#/components/schemas/CurrencyCode"}]},"firstname":{"type":"string","description":"First name of the customer"},"lastname":{"type":"string","description":"Last name of the customer"},"phoneNumber":{"type":"string","description":"Phone number of the customer"},"emails":{"description":"Email addresses of the customer","type":"array","items":{"type":"string"}},"billingAddress":{"description":"Billing address of the customer","allOf":[{"$ref":"#/components/schemas/AddressDto"}]},"deliveryAddress":{"description":"Delivery address of the customer","allOf":[{"$ref":"#/components/schemas/AddressDto"}]},"deliveryAddressIsSame":{"type":"boolean","description":"Tell if delivery and billing address are deep equal or not"},"language":{"type":"string","description":"Preferred language of the customer"},"name":{"type":"string","description":"Full name of the customer"},"commercialName":{"type":"string","description":"Commercial name of the customer"},"siren":{"type":"string","description":"SIREN number of the customer"},"siret":{"type":"string","description":"SIRET number of the customer"},"nafCode":{"type":"string","description":"NAF code of the customer"},"vatNumber":{"type":"string","description":"VAT number of the customer"},"token":{"type":"string","description":"Token associated with the customer"},"parent":{"description":"Parent customer information","allOf":[{"$ref":"#/components/schemas/ReadBillingCustomerDto"}]},"contactId":{"type":"string","description":"Contact identifier associated with the customer"},"organizationId":{"type":"string","description":"Organization identifier associated with the customer"},"isDefault":{"type":"boolean","description":"Indicates if this is the default customer"},"test":{"type":"boolean","description":"Indicates if this is a test customer"}},"required":["id","legacyId","billingAddress","deliveryAddressIsSame","token","test"]},"CurrencyCode":{"type":"string","enum":["EUR","GBP","CHF","USD","AUD","CAD","JPY","CNH","CZK","DKK","BGN","PLN","HUF","RON","SEK","NOK","TRY","BRL","HKD","ILS","INR","KRW","MXN"],"description":"Preferred currency of the customer"},"AddressDto":{"type":"object","properties":{"line1":{"type":"string","description":"First line of the address"},"line2":{"type":"string","description":"Second line of the address"},"city":{"type":"string","description":"City of the address"},"zipCode":{"type":"string","description":"Zip code of the address"},"country":{"description":"Country code of the address","allOf":[{"$ref":"#/components/schemas/CountryCode"}]}},"required":["line1","city","zipCode","country"]},"CountryCode":{"type":"string","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AN","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HK","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KR","XK","KP","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MO","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","US","UM","UY","UZ","VU","VE","VN","VG","VI","WF","EH","YE","ZM","ZW"],"description":"Country code of the address"},"BillingLocale":{"type":"string","enum":["fr","en","de","it","nl","pt","es"]},"OpportunityDto":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"}},"required":["id","name"]},"ReadCurrencyDto":{"type":"object","properties":{"currencyCode":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}]},"currencyDate":{"type":"number"},"currencyRate":{"type":"number"},"origin":{"allOf":[{"$ref":"#/components/schemas/CurrencyOrigin"}]}},"required":["currencyCode","currencyDate","currencyRate","origin"]},"CurrencyOrigin":{"type":"string","enum":["ECB","USER"]},"ReadFileDto":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"extension":{"type":"string"},"mimeType":{"type":"string"},"url":{"type":"string"},"relativeUrl":{"type":"string"},"isCertified":{"type":"boolean"},"isCertifiable":{"type":"boolean"}},"required":["id","name","extension","mimeType","url","relativeUrl"]},"FinalizeRequirementDto":{"type":"object","properties":{"name":{"type":"string"},"message":{"type":"string"}},"required":["name","message"]},"BillingWarningDto":{"type":"object","properties":{"title":{"type":"string"},"message":{"type":"string"}},"required":["title","message"]},"ReadBillingEmitterDto":{"type":"object","properties":{"name":{"type":"string"},"fullName":{"type":"string"},"email":{"type":"string"},"phone":{"type":"string"},"commercialName":{"type":"string"},"siret":{"type":"string"},"vatNumber":{"type":"string"},"rcsNumber":{"type":"string"},"legalStatus":{"allOf":[{"$ref":"#/components/schemas/LegalStatus"}]},"sapAgreementNumber":{"type":"string"},"hasVat":{"type":"boolean"}}},"LegalStatus":{"type":"number","enum":[1,2,3,4,5,6,7,8,9,10,11,12,13,14]},"ReadBankInformationDto":{"type":"object","properties":{"bic":{"type":"string"},"iban":{"type":"string"},"holder":{"type":"string"}},"required":["bic","iban","holder"]},"BillingLegalsDto":{"type":"object","properties":{"headerNote":{"type":"string"},"footerNote":{"type":"string"},"generalTermsAndConditionsOfSale":{"type":"string"},"mentionMediator":{"type":"string"},"vatMention":{"allOf":[{"$ref":"#/components/schemas/VatMention"}]},"paymentMethods":{"type":"array","items":{"$ref":"#/components/schemas/PaymentMethod"}},"otherPaymentMethod":{"type":"string","description":"Other payment method"}},"required":["vatMention","paymentMethods"]},"VatMention":{"type":"number","enum":[1,2,3,4,5,6,13,7,8,9,10,11,12,14,15,16,17,18,19,20,21]},"PaymentMethod":{"type":"string","enum":["transfer","direct_debit","credit_card","cheque","universal_employment_service_cheque","cash","paypal","stripe","other"]},"BillingCompatibilityVersion":{"type":"string","enum":["V1","V2","V3"]},"PaymentDelay":{"type":"string","enum":["at_reception","end_of_month","seven_days","ten_days","fifteen_days","thirty_days","thirty_days_end_of_month","forty_five_days","forty_five_days_end_of_month","sixty_days","sixty_days_end_of_month","ninety_days","ninety_days_end_of_month","one_hundred_and_twenty_days","other"]},"ReadBillingDetailsLineDto":{"type":"object","properties":{"generatedId":{"type":"string"},"id":{"type":"string"},"unitPrice":{"type":"number"},"unitPriceHT":{"type":"number"},"productId":{"type":"string"},"quantity":{"type":"number"},"quantityUnit":{"allOf":[{"$ref":"#/components/schemas/ProductUnit"}]},"designation":{"type":"string"},"reference":{"type":"string"},"description":{"type":"string"},"isDeliveryOfGoods":{"type":"boolean"},"type":{"allOf":[{"$ref":"#/components/schemas/ProductType"}]},"vatCode":{"allOf":[{"$ref":"#/components/schemas/VatCode"}]},"personalServiceActivity":{"allOf":[{"$ref":"#/components/schemas/PersonalServiceActivity"}]},"priceWithoutTaxBeforeDiscount":{"type":"number"},"discountAmount":{"type":"number"},"discount":{"$ref":"#/components/schemas/DiscountLineDto"},"priceWithoutTaxAfterDiscount":{"type":"number"},"vatAmount":{"type":"number"},"priceTotalTax":{"type":"number"},"convertedAmounts":{"$ref":"#/components/schemas/ConvertedAmountsLineDto"},"isTaxIncluded":{"type":"boolean","description":"Indicates whether the unit price includes tax (TTC) or excludes tax (HT)"}},"required":["unitPrice","unitPriceHT","designation","isDeliveryOfGoods","priceWithoutTaxBeforeDiscount","discountAmount","discount","priceWithoutTaxAfterDiscount","vatAmount","priceTotalTax"]},"ProductUnit":{"type":"number","enum":[14,1,2,3,22,23,24,25,26,21,20,4,5,6,7,8,9,10,11,12,13,15,16,17,18,19,27,28]},"ProductType":{"type":"number","enum":[1,2,3,4,5]},"VatCode":{"type":"string","enum":["FR_210","FR_550","FR_850","FR_1000","FR_2000","FR_00HT","FR_00UE","FR_0HUE"]},"PersonalServiceActivity":{"type":"string","enum":["GARDE_ENFANT_HANDICAPE","ACCOMPAGNEMENT_ENFANT_HANDICAPE","AIDE_HUMAINE","CONDUITE_VEHICULE_PERSONNEL","AIDE_AU_DEPLACEMENT","ENTRETIEN_DE_LA_MAISON","JARDINAGE","BRICOLAGE","GARDE_ENFANT_PLUS_DE_6_ANS","SOUTIEN_SCOLAIRE_COURS_A_DOMICILE","SOIN_ESTHETIQUE_A_DOMICILE","PREPARATION_REPAS_A_DOMICILE","LIVRAISON_REPAS_A_DOMICILE","COLLECTE_ET_LIVRAISON_DE_LINGE_REPASSE","LIVRAISON_COURSES_A_DOMICILE","ASSISTANCE_INFORMATIQUE","SOINS_ET_PROMENADES_ANIMAUX_DE_COMPAGNIE_POUR_PERSONNES_DEPENDANTES","MAINTENANCE_ENTRETIEN_ET_VIGILANCE_DE_LA_RESIDENCE_PRINCIPALE","ASSISTANCE_ADMINISTRATIVE","ACCOMPAGNEMENT_ENFANT_PLUS_DE_6_ANS","TELEASSISTANCE","INTERPRETE_LANGUE_DES_SIGNES","CONDUITE_VEHICULE_PERSONNEL_EN_CAS_INVALIDITE_TEMPORAIRE","ACCOMPAGNEMENT_DEPLACEMENTS_EN_DEHORS_DU_DOMICILE","ASSISTANCE_PERSONNES_TEMPORAIREMENT_DEPENDANTES_A_DOMICILE","COORDINATION_ET_GESTION","DIVERS_NON_ELIGIBLE"]},"DiscountLineDto":{"type":"object","properties":{"amount":{"type":"number","description":"Montant de la remise, 1000 pour 10% ou 10€"},"mode":{"description":"Mode de la réduction en pourcentage ou en euros","allOf":[{"$ref":"#/components/schemas/DiscountMode"}]}},"required":["amount","mode"]},"DiscountMode":{"type":"number","enum":[1,2]},"ConvertedAmountsLineDto":{"type":"object","properties":{"priceWithoutTaxBeforeDiscount":{"type":"number"},"discountAmount":{"type":"number"},"priceWithoutTaxAfterDiscount":{"type":"number"},"vatAmount":{"type":"number"},"priceTotalTax":{"type":"number"}},"required":["priceWithoutTaxBeforeDiscount","priceWithoutTaxAfterDiscount","vatAmount","priceTotalTax"]},"EstimateTotalDto":{"type":"object","properties":{"amountWithoutTaxBeforeDiscount":{"type":"number"},"amountWithoutTaxAfterDiscount":{"type":"number"},"amountWithTaxAfterDiscount":{"type":"number"},"remainingAmountWithoutTax":{"type":"number"},"remainingAmountWithTax":{"type":"number"},"remainingAmountToBill":{"type":"number"},"vatDetails":{"type":"array","items":{"$ref":"#/components/schemas/VatDetailDto"}},"discountAmount":{"type":"number"},"convertedAmounts":{"$ref":"#/components/schemas/ConvertedAmountsDto"},"billedAmountWithoutTax":{"type":"number"},"billedAmountWithTax":{"type":"number"},"amountWithoutTaxBeforeDiscountWithoutDisbursement":{"type":"number"},"remainingAmountWithoutTaxWithoutDisbursement":{"type":"number"}},"required":["amountWithoutTaxBeforeDiscount","amountWithoutTaxAfterDiscount","amountWithTaxAfterDiscount","remainingAmountWithoutTax","remainingAmountWithTax","remainingAmountToBill","vatDetails","billedAmountWithoutTax","billedAmountWithTax","amountWithoutTaxBeforeDiscountWithoutDisbursement","remainingAmountWithoutTaxWithoutDisbursement"]},"VatDetailDto":{"type":"object","properties":{"vatCode":{"allOf":[{"$ref":"#/components/schemas/VatCode"}]},"amount":{"type":"number"},"vatRate":{"type":"number"}},"required":["vatCode","amount","vatRate"]},"ConvertedAmountsDto":{"type":"object","properties":{"amountWithoutTaxBeforeDiscount":{"type":"number"},"amountWithoutTaxAfterDiscount":{"type":"number"},"amountWithTaxAfterDiscount":{"type":"number"},"remainingAmountWithoutTax":{"type":"number"},"remainingAmountWithTax":{"type":"number"},"remainingAmountToBill":{"type":"number"},"vatDetails":{"type":"array","items":{"$ref":"#/components/schemas/VatDetailDto"}},"discountAmount":{"type":"number"},"billedAmountWithoutTax":{"type":"number"},"billedAmountWithTax":{"type":"number"},"remainingAmountWithoutTaxWithoutDisbursement":{"type":"number"},"amountWithoutTaxBeforeDiscountWithoutDisbursement":{"type":"number"}},"required":["amountWithoutTaxBeforeDiscount","amountWithoutTaxAfterDiscount","amountWithTaxAfterDiscount","remainingAmountWithoutTax","remainingAmountWithTax","remainingAmountToBill","vatDetails","billedAmountWithoutTax","billedAmountWithTax","remainingAmountWithoutTaxWithoutDisbursement","amountWithoutTaxBeforeDiscountWithoutDisbursement"]},"DiscountDto":{"type":"object","properties":{"mode":{"description":"The mode of discount application, either percentage or fixed amount","allOf":[{"$ref":"#/components/schemas/DiscountMode"}]},"amount":{"type":"number","description":"The amount for the discount (1000 for 10% or 10€)"}},"required":["mode","amount"]},"LatePenaltyDto":{"type":"object","properties":{"value":{"allOf":[{"$ref":"#/components/schemas/LatePenalty"}]},"otherValue":{"type":"string","description":"Description custom si `value` vaut `other`"}},"required":["value"]},"LatePenalty":{"type":"string","enum":["three_time_legal_rate","bce_director_rate_plus_ten_points","other"]},"LumpSumCompensationDto":{"type":"object","properties":{"value":{"allOf":[{"$ref":"#/components/schemas/LumpSumCompensation"}]},"otherValue":{"type":"string","description":"Description custom si `value` vaut `other`"}},"required":["value"]},"LumpSumCompensation":{"type":"number","enum":[1,2]},"BillingDiscountAdvancePaymentDto":{"type":"object","properties":{"value":{"description":"Type de remise sur acompte","allOf":[{"$ref":"#/components/schemas/DiscountAdvancePayment"}]},"otherValue":{"type":"string","description":"Description custom si `value` vaut `other`"}},"required":["value"]},"DiscountAdvancePayment":{"type":"string","enum":["none","other"],"description":"Type de remise sur acompte"},"DisplaySettingsDto":{"type":"object","properties":{"displayFullName":{"type":"boolean"},"displayEmail":{"type":"boolean"},"displayPhoneNumber":{"type":"boolean"},"displaySAPAgreement":{"type":"boolean"},"displayLegalStatus":{"type":"boolean"},"displayRequiredMentionsProduct":{"type":"boolean"},"displayGoodForApproval":{"type":"boolean"},"displayMemberOfAnApprovedAssociation":{"type":"boolean"},"displayAbbyLogo":{"type":"boolean"},"displayTitle":{"type":"boolean"}},"required":["displayFullName","displayEmail","displayPhoneNumber","displaySAPAgreement","displayLegalStatus","displayRequiredMentionsProduct","displayMemberOfAnApprovedAssociation","displayAbbyLogo","displayTitle"]},"ReadAdvanceDto":{"type":"object","properties":{"id":{"type":"string"},"number":{"type":"string"},"title":{"type":"string","description":"Title of the billing document"},"type":{"allOf":[{"$ref":"#/components/schemas/BillingType"}]},"state":{"allOf":[{"$ref":"#/components/schemas/BillingState"}]},"customer":{"$ref":"#/components/schemas/ReadBillingCustomerDto"},"locale":{"allOf":[{"$ref":"#/components/schemas/BillingLocale"}]},"emittedAt":{"type":"number"},"archivedAt":{"type":"number"},"opportunity":{"$ref":"#/components/schemas/OpportunityDto"},"locked":{"type":"boolean"},"finalizable":{"type":"boolean"},"test":{"type":"boolean"},"isEditable":{"type":"boolean"},"currencyCode":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}]},"currency":{"$ref":"#/components/schemas/ReadCurrencyDto"},"lastDownloadAt":{"type":"number"},"attachments":{"type":"array","items":{"$ref":"#/components/schemas/ReadFileDto"}},"finalizeRequirements":{"type":"array","items":{"$ref":"#/components/schemas/FinalizeRequirementDto"}},"warnings":{"type":"array","items":{"$ref":"#/components/schemas/BillingWarningDto"}},"emitter":{"$ref":"#/components/schemas/ReadBillingEmitterDto"},"bankInformation":{"$ref":"#/components/schemas/ReadBankInformationDto"},"billingLegals":{"$ref":"#/components/schemas/BillingLegalsDto"},"createdAt":{"type":"number"},"updatedAt":{"type":"number"},"deliveryDate":{"type":"number"},"compatibilityVersion":{"allOf":[{"$ref":"#/components/schemas/BillingCompatibilityVersion"}]},"isDeletable":{"type":"boolean"},"displayDeliveryAddress":{"type":"boolean"},"finalizedAt":{"type":"number"},"lastSendByEmailAt":{"type":"number"},"themeId":{"type":"string","description":"ID of the theme applied to this document when set"},"paymentDelay":{"allOf":[{"$ref":"#/components/schemas/PaymentDelay"}]},"dueAt":{"type":"number"},"paidAt":{"type":"number"},"lastReminderSentAt":{"type":"number"},"isReminderActivated":{"type":"boolean"},"designation":{"type":"string"},"isOnlinePaymentActivated":{"type":"boolean"},"description":{"type":"string"},"total":{"$ref":"#/components/schemas/TotalDto"},"discount":{"$ref":"#/components/schemas/DiscountDto"},"displaySettings":{"$ref":"#/components/schemas/DisplaySettingsDto"},"parent":{"$ref":"#/components/schemas/ReadEstimateDto"},"advanceMode":{"allOf":[{"$ref":"#/components/schemas/AdvanceMode"}]},"advancePercentage":{"type":"number"},"advanceAmount":{"type":"number"},"reminder":{"$ref":"#/components/schemas/BillingReminderDto"},"latePenalty":{"$ref":"#/components/schemas/BillingLatePenaltyDto"},"lumpSumCompensation":{"$ref":"#/components/schemas/BillingLumpSumCompensationDto"},"discountAdvancePayment":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/BillingDiscountAdvancePaymentDto"}]},"hasAssociatedTransaction":{"type":"boolean","description":"Indicates if the customer has an associated transaction"},"includeDisbursement":{"type":"boolean","description":"Indicates if the advance includes disbursement"},"canceledAt":{"type":"number"}},"required":["id","type","state","customer","locale","emittedAt","finalizable","test","isEditable","currencyCode","currency","attachments","finalizeRequirements","warnings","emitter","billingLegals","createdAt","updatedAt","compatibilityVersion","isDeletable","displayDeliveryAddress","paymentDelay","isReminderActivated","designation","isOnlinePaymentActivated","total","displaySettings","advanceMode","advancePercentage","advanceAmount","hasAssociatedTransaction","includeDisbursement"]},"TotalDto":{"type":"object","properties":{"amountWithoutTaxBeforeDiscount":{"type":"number"},"amountWithoutTaxAfterDiscount":{"type":"number"},"amountWithTaxAfterDiscount":{"type":"number"},"remainingAmountWithoutTax":{"type":"number"},"remainingAmountWithTax":{"type":"number"},"remainingReconciliateAmount":{"type":"number"},"vatDetails":{"type":"array","items":{"$ref":"#/components/schemas/VatDetailDto"}},"discountAmount":{"type":"number"},"convertedAmounts":{"$ref":"#/components/schemas/ConvertedAmountsDto"}},"required":["amountWithoutTaxBeforeDiscount","amountWithoutTaxAfterDiscount","amountWithTaxAfterDiscount","remainingAmountWithoutTax","remainingAmountWithTax","remainingReconciliateAmount","vatDetails"]},"AdvanceMode":{"type":"string","enum":["AMOUNT","PERCENTAGE"],"description":"The mode of the advance (amount or percentage)"},"BillingReminderDto":{"type":"object","properties":{"inCopy":{"type":"boolean","description":"Indicates if the sender should be in copy of the reminder"},"frequency":{"description":"The frequency at which reminders should be sent","allOf":[{"$ref":"#/components/schemas/ReminderFrequency"}]},"numberOfRemindersToSend":{"type":"number","description":"The number of reminders to be sent"},"active":{"type":"boolean","description":"Indicates if the reminder is active"},"recipients":{"description":"Array of email addresses to receive the reminder","type":"array","items":{"type":"string"}}},"required":["inCopy","frequency","numberOfRemindersToSend","active"]},"ReminderFrequency":{"type":"string","enum":["on_due_date","every_week"],"description":"The frequency at which reminders should be sent"},"BillingLatePenaltyDto":{"type":"object","properties":{"value":{"allOf":[{"$ref":"#/components/schemas/LatePenalty"}]},"otherValue":{"type":"string","description":"Description custom si `value` vaut `other`"}},"required":["value"]},"BillingLumpSumCompensationDto":{"type":"object","properties":{"value":{"allOf":[{"$ref":"#/components/schemas/LumpSumCompensation"}]},"otherValue":{"type":"string","description":"Description custom si `value` vaut `other`"}},"required":["value"]},"ReadEstimateAdvanceLinesDto":{"type":"object","properties":{"advances":{"description":"Array of advance items","type":"array","items":{"$ref":"#/components/schemas/ReadAdvanceItemLineDto"}},"totals":{"description":"Totals of the advance items","allOf":[{"$ref":"#/components/schemas/ReadAdvanceItemLineTotalsDto"}]},"convertedTotals":{"description":"Converted totals of the advance items","allOf":[{"$ref":"#/components/schemas/ReadAdvanceItemLineTotalsDto"}]}},"required":["advances","totals","convertedTotals"]},"ReadAdvanceItemLineDto":{"type":"object","properties":{"value":{"type":"number","description":"The value of the advance (amount or percentage)"},"mode":{"description":"The mode of the advance (amount or percentage)","allOf":[{"$ref":"#/components/schemas/AdvanceMode"}]},"paymentCondition":{"description":"Payment condition for the advance","allOf":[{"$ref":"#/components/schemas/PaymentCondition"}]},"customPaymentCondition":{"type":"string","description":"Custom payment condition if OTHER is selected","nullable":true}},"required":["value","mode"]},"PaymentCondition":{"type":"string","enum":["SIGNATURE","ORDER","OTHER"]},"ReadAdvanceItemLineTotalsDto":{"type":"object","properties":{"totalAmountWithoutTax":{"type":"number","description":"Total amount of all advances"},"totalAmountWithTax":{"type":"number","description":"Total amount of all advances after discount"},"remainingTotalAmountWithoutTax":{"type":"number","description":"Remaining total amount without tax"},"remainingTotalAmountWithTax":{"type":"number","description":"Remaining total amount with tax"}},"required":["totalAmountWithoutTax","totalAmountWithTax","remainingTotalAmountWithoutTax","remainingTotalAmountWithTax"]},"EstimateElectronicSignatureDto":{"type":"object","properties":{"id":{"type":"string"},"canceledAt":{"type":"number","nullable":true},"procedureId":{"type":"string","nullable":true},"magicLink":{"type":"string","nullable":true},"signedAt":{"type":"number","nullable":true},"refusedAt":{"type":"number","nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/ElectronicSignatureStatus"}]}},"required":["id","canceledAt","procedureId","magicLink","signedAt","refusedAt","status"]},"ElectronicSignatureStatus":{"type":"string","enum":["requested","activated","on_going","refused","signed","cancelled"]},"ElectronicSignatureRequirementDto":{"type":"object","properties":{"name":{"type":"string"},"message":{"type":"string"}},"required":["name","message"]}}},"paths":{"/v2/billing/estimate/{customerId}":{"post":{"operationId":"EstimateController_createEstimateByContactOrOrganizationId_v2","parameters":[{"name":"customerId","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateEstimateByCustomerIdDto"}}}},"responses":{"201":{"description":"Estimate created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadEstimateDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"}},"summary":"Create a new estimate with a customerId that can be a contactId or an organizationId","tags":["estimate"]}}}}
```

## Mettre à jour les lignes du devis

Les lignes d'un devis sont mises à jour via l'endpoint partagé de billing.

## PATCH /v2/billing/{billingId}/lines

> Update billing lines

```json
{"openapi":"3.0.0","info":{"title":"Abby API","version":"1.0"},"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"UpdateBillingLinesDto":{"type":"object","properties":{"lines":{"description":"Array of billing lines, each representing a product or service","type":"array","items":{"$ref":"#/components/schemas/UpdateLineDto"}},"discount":{"description":"Optional discount to be applied to the entire billing","allOf":[{"$ref":"#/components/schemas/DiscountDto"}]}},"required":["lines"]},"UpdateLineDto":{"type":"object","properties":{"generatedId":{"type":"string","description":"Warning: Client-side generated line id. This field will be deprecated and will be removed in the future."},"productId":{"type":"string","description":"Unique identifier of the product, if applicable"},"unitPrice":{"type":"number","description":"Price per unit in cents (e.g., 1500 for 15.00 euros)"},"quantity":{"type":"number","description":"Quantity of the product or service"},"quantityUnit":{"description":"Unit of measurement for the quantity (e.g., UNIT, HOUR, KILOGRAM)","nullable":true,"allOf":[{"$ref":"#/components/schemas/ProductUnit"}]},"designation":{"type":"string","description":"Name or short description of the product or service"},"reference":{"type":"string","description":"Product reference or SKU, if applicable"},"description":{"type":"string","description":"Detailed description of the product or service"},"type":{"description":"Type of the product or service (e.g., SALE_OF_GOODS, SERVICE)","nullable":true,"allOf":[{"$ref":"#/components/schemas/ProductType"}]},"vatCode":{"description":"VAT code applicable to the product or service","allOf":[{"$ref":"#/components/schemas/VatCode"}]},"personalServiceActivity":{"description":"Personal service activity only available for products compatible with the tax credit","allOf":[{"$ref":"#/components/schemas/PersonalServiceActivity"}]},"discount":{"description":"Optional discount to be applied to the billing line","allOf":[{"$ref":"#/components/schemas/DiscountDto"}]},"isDeliveryOfGoods":{"type":"boolean","description":"Mark a product line as delivery of goods to display it on document"},"isTaxIncluded":{"type":"boolean","description":"Indicates whether the unit price includes tax (TTC) or excludes tax (HT). Requires the tax included unit price feature to be enabled.","default":false}},"required":["unitPrice","quantity","quantityUnit","designation","type","vatCode"]},"ProductUnit":{"type":"number","enum":[14,1,2,3,22,23,24,25,26,21,20,4,5,6,7,8,9,10,11,12,13,15,16,17,18,19,27,28]},"ProductType":{"type":"number","enum":[1,2,3,4,5]},"VatCode":{"type":"string","enum":["FR_210","FR_550","FR_850","FR_1000","FR_2000","FR_00HT","FR_00UE","FR_0HUE"]},"PersonalServiceActivity":{"type":"string","enum":["GARDE_ENFANT_HANDICAPE","ACCOMPAGNEMENT_ENFANT_HANDICAPE","AIDE_HUMAINE","CONDUITE_VEHICULE_PERSONNEL","AIDE_AU_DEPLACEMENT","ENTRETIEN_DE_LA_MAISON","JARDINAGE","BRICOLAGE","GARDE_ENFANT_PLUS_DE_6_ANS","SOUTIEN_SCOLAIRE_COURS_A_DOMICILE","SOIN_ESTHETIQUE_A_DOMICILE","PREPARATION_REPAS_A_DOMICILE","LIVRAISON_REPAS_A_DOMICILE","COLLECTE_ET_LIVRAISON_DE_LINGE_REPASSE","LIVRAISON_COURSES_A_DOMICILE","ASSISTANCE_INFORMATIQUE","SOINS_ET_PROMENADES_ANIMAUX_DE_COMPAGNIE_POUR_PERSONNES_DEPENDANTES","MAINTENANCE_ENTRETIEN_ET_VIGILANCE_DE_LA_RESIDENCE_PRINCIPALE","ASSISTANCE_ADMINISTRATIVE","ACCOMPAGNEMENT_ENFANT_PLUS_DE_6_ANS","TELEASSISTANCE","INTERPRETE_LANGUE_DES_SIGNES","CONDUITE_VEHICULE_PERSONNEL_EN_CAS_INVALIDITE_TEMPORAIRE","ACCOMPAGNEMENT_DEPLACEMENTS_EN_DEHORS_DU_DOMICILE","ASSISTANCE_PERSONNES_TEMPORAIREMENT_DEPENDANTES_A_DOMICILE","COORDINATION_ET_GESTION","DIVERS_NON_ELIGIBLE"]},"DiscountDto":{"type":"object","properties":{"mode":{"description":"The mode of discount application, either percentage or fixed amount","allOf":[{"$ref":"#/components/schemas/DiscountMode"}]},"amount":{"type":"number","description":"The amount for the discount (1000 for 10% or 10€)"}},"required":["mode","amount"]},"DiscountMode":{"type":"number","enum":[1,2]},"ReadInvoiceDto":{"type":"object","properties":{"id":{"type":"string"},"number":{"type":"string"},"title":{"type":"string","description":"Title of the billing document"},"type":{"allOf":[{"$ref":"#/components/schemas/BillingType"}]},"state":{"allOf":[{"$ref":"#/components/schemas/BillingState"}]},"customer":{"$ref":"#/components/schemas/ReadBillingCustomerDto"},"locale":{"allOf":[{"$ref":"#/components/schemas/BillingLocale"}]},"emittedAt":{"type":"number"},"archivedAt":{"type":"number"},"opportunity":{"$ref":"#/components/schemas/OpportunityDto"},"locked":{"type":"boolean"},"finalizable":{"type":"boolean"},"test":{"type":"boolean"},"isEditable":{"type":"boolean"},"currencyCode":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}]},"currency":{"$ref":"#/components/schemas/ReadCurrencyDto"},"lastDownloadAt":{"type":"number"},"attachments":{"type":"array","items":{"$ref":"#/components/schemas/ReadFileDto"}},"finalizeRequirements":{"type":"array","items":{"$ref":"#/components/schemas/FinalizeRequirementDto"}},"warnings":{"type":"array","items":{"$ref":"#/components/schemas/BillingWarningDto"}},"emitter":{"$ref":"#/components/schemas/ReadBillingEmitterDto"},"bankInformation":{"$ref":"#/components/schemas/ReadBankInformationDto"},"billingLegals":{"$ref":"#/components/schemas/BillingLegalsDto"},"createdAt":{"type":"number"},"updatedAt":{"type":"number"},"deliveryDate":{"type":"number"},"compatibilityVersion":{"allOf":[{"$ref":"#/components/schemas/BillingCompatibilityVersion"}]},"isDeletable":{"type":"boolean"},"displayDeliveryAddress":{"type":"boolean"},"finalizedAt":{"type":"number"},"lastSendByEmailAt":{"type":"number"},"themeId":{"type":"string","description":"ID of the theme applied to this document when set"},"paymentDelay":{"allOf":[{"$ref":"#/components/schemas/PaymentDelay"}]},"dueAt":{"type":"number"},"paidAt":{"type":"number"},"lastReminderSentAt":{"type":"number"},"isReminderActivated":{"type":"boolean"},"isOnlinePaymentActivated":{"type":"boolean"},"isFinalInvoice":{"type":"boolean"},"lines":{"type":"array","items":{"$ref":"#/components/schemas/ReadBillingDetailsLineDto"}},"total":{"$ref":"#/components/schemas/ReadInvoiceTotalDto"},"reminder":{"$ref":"#/components/schemas/ReminderDto"},"discount":{"$ref":"#/components/schemas/DiscountDto"},"latePenalty":{"$ref":"#/components/schemas/LatePenaltyDto"},"lumpSumCompensation":{"$ref":"#/components/schemas/BillingLumpSumCompensationDto"},"discountAdvancePayment":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/BillingDiscountAdvancePaymentDto"}]},"displaySettings":{"$ref":"#/components/schemas/DisplayBillingSettingsDto"},"paymentRequest":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/PaymentRequestDto"}]},"parent":{"$ref":"#/components/schemas/ReadEstimateDto"},"frequency":{"$ref":"#/components/schemas/FrequencyDto"},"hasAssociatedTransaction":{"type":"boolean","description":"Indicates if the customer has an associated transaction"},"includeDiscountDisbursement":{"type":"boolean"},"expiredAt":{"type":"number"},"canceledAt":{"type":"number"}},"required":["id","type","state","customer","locale","emittedAt","finalizable","test","isEditable","currencyCode","currency","attachments","finalizeRequirements","warnings","emitter","billingLegals","createdAt","updatedAt","compatibilityVersion","isDeletable","displayDeliveryAddress","paymentDelay","dueAt","isReminderActivated","isOnlinePaymentActivated","isFinalInvoice","lines","total","displaySettings","hasAssociatedTransaction","includeDiscountDisbursement"]},"BillingType":{"type":"number","enum":[1,2,3,4,5]},"BillingState":{"type":"string","enum":[1,2,3,4,5]},"ReadBillingCustomerDto":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the customer"},"legacyId":{"type":"string","description":"Legacy identifier of the customer"},"currency":{"description":"Preferred currency of the customer","allOf":[{"$ref":"#/components/schemas/CurrencyCode"}]},"firstname":{"type":"string","description":"First name of the customer"},"lastname":{"type":"string","description":"Last name of the customer"},"phoneNumber":{"type":"string","description":"Phone number of the customer"},"emails":{"description":"Email addresses of the customer","type":"array","items":{"type":"string"}},"billingAddress":{"description":"Billing address of the customer","allOf":[{"$ref":"#/components/schemas/AddressDto"}]},"deliveryAddress":{"description":"Delivery address of the customer","allOf":[{"$ref":"#/components/schemas/AddressDto"}]},"deliveryAddressIsSame":{"type":"boolean","description":"Tell if delivery and billing address are deep equal or not"},"language":{"type":"string","description":"Preferred language of the customer"},"name":{"type":"string","description":"Full name of the customer"},"commercialName":{"type":"string","description":"Commercial name of the customer"},"siren":{"type":"string","description":"SIREN number of the customer"},"siret":{"type":"string","description":"SIRET number of the customer"},"nafCode":{"type":"string","description":"NAF code of the customer"},"vatNumber":{"type":"string","description":"VAT number of the customer"},"token":{"type":"string","description":"Token associated with the customer"},"parent":{"description":"Parent customer information","allOf":[{"$ref":"#/components/schemas/ReadBillingCustomerDto"}]},"contactId":{"type":"string","description":"Contact identifier associated with the customer"},"organizationId":{"type":"string","description":"Organization identifier associated with the customer"},"isDefault":{"type":"boolean","description":"Indicates if this is the default customer"},"test":{"type":"boolean","description":"Indicates if this is a test customer"}},"required":["id","legacyId","billingAddress","deliveryAddressIsSame","token","test"]},"CurrencyCode":{"type":"string","enum":["EUR","GBP","CHF","USD","AUD","CAD","JPY","CNH","CZK","DKK","BGN","PLN","HUF","RON","SEK","NOK","TRY","BRL","HKD","ILS","INR","KRW","MXN"],"description":"Preferred currency of the customer"},"AddressDto":{"type":"object","properties":{"line1":{"type":"string","description":"First line of the address"},"line2":{"type":"string","description":"Second line of the address"},"city":{"type":"string","description":"City of the address"},"zipCode":{"type":"string","description":"Zip code of the address"},"country":{"description":"Country code of the address","allOf":[{"$ref":"#/components/schemas/CountryCode"}]}},"required":["line1","city","zipCode","country"]},"CountryCode":{"type":"string","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AN","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HK","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KR","XK","KP","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MO","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","US","UM","UY","UZ","VU","VE","VN","VG","VI","WF","EH","YE","ZM","ZW"],"description":"Country code of the address"},"BillingLocale":{"type":"string","enum":["fr","en","de","it","nl","pt","es"]},"OpportunityDto":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"}},"required":["id","name"]},"ReadCurrencyDto":{"type":"object","properties":{"currencyCode":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}]},"currencyDate":{"type":"number"},"currencyRate":{"type":"number"},"origin":{"allOf":[{"$ref":"#/components/schemas/CurrencyOrigin"}]}},"required":["currencyCode","currencyDate","currencyRate","origin"]},"CurrencyOrigin":{"type":"string","enum":["ECB","USER"]},"ReadFileDto":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"extension":{"type":"string"},"mimeType":{"type":"string"},"url":{"type":"string"},"relativeUrl":{"type":"string"},"isCertified":{"type":"boolean"},"isCertifiable":{"type":"boolean"}},"required":["id","name","extension","mimeType","url","relativeUrl"]},"FinalizeRequirementDto":{"type":"object","properties":{"name":{"type":"string"},"message":{"type":"string"}},"required":["name","message"]},"BillingWarningDto":{"type":"object","properties":{"title":{"type":"string"},"message":{"type":"string"}},"required":["title","message"]},"ReadBillingEmitterDto":{"type":"object","properties":{"name":{"type":"string"},"fullName":{"type":"string"},"email":{"type":"string"},"phone":{"type":"string"},"commercialName":{"type":"string"},"siret":{"type":"string"},"vatNumber":{"type":"string"},"rcsNumber":{"type":"string"},"legalStatus":{"allOf":[{"$ref":"#/components/schemas/LegalStatus"}]},"sapAgreementNumber":{"type":"string"},"hasVat":{"type":"boolean"}}},"LegalStatus":{"type":"number","enum":[1,2,3,4,5,6,7,8,9,10,11,12,13,14]},"ReadBankInformationDto":{"type":"object","properties":{"bic":{"type":"string"},"iban":{"type":"string"},"holder":{"type":"string"}},"required":["bic","iban","holder"]},"BillingLegalsDto":{"type":"object","properties":{"headerNote":{"type":"string"},"footerNote":{"type":"string"},"generalTermsAndConditionsOfSale":{"type":"string"},"mentionMediator":{"type":"string"},"vatMention":{"allOf":[{"$ref":"#/components/schemas/VatMention"}]},"paymentMethods":{"type":"array","items":{"$ref":"#/components/schemas/PaymentMethod"}},"otherPaymentMethod":{"type":"string","description":"Other payment method"}},"required":["vatMention","paymentMethods"]},"VatMention":{"type":"number","enum":[1,2,3,4,5,6,13,7,8,9,10,11,12,14,15,16,17,18,19,20,21]},"PaymentMethod":{"type":"string","enum":["transfer","direct_debit","credit_card","cheque","universal_employment_service_cheque","cash","paypal","stripe","other"]},"BillingCompatibilityVersion":{"type":"string","enum":["V1","V2","V3"]},"PaymentDelay":{"type":"string","enum":["at_reception","end_of_month","seven_days","ten_days","fifteen_days","thirty_days","thirty_days_end_of_month","forty_five_days","forty_five_days_end_of_month","sixty_days","sixty_days_end_of_month","ninety_days","ninety_days_end_of_month","one_hundred_and_twenty_days","other"]},"ReadBillingDetailsLineDto":{"type":"object","properties":{"generatedId":{"type":"string"},"id":{"type":"string"},"unitPrice":{"type":"number"},"unitPriceHT":{"type":"number"},"productId":{"type":"string"},"quantity":{"type":"number"},"quantityUnit":{"allOf":[{"$ref":"#/components/schemas/ProductUnit"}]},"designation":{"type":"string"},"reference":{"type":"string"},"description":{"type":"string"},"isDeliveryOfGoods":{"type":"boolean"},"type":{"allOf":[{"$ref":"#/components/schemas/ProductType"}]},"vatCode":{"allOf":[{"$ref":"#/components/schemas/VatCode"}]},"personalServiceActivity":{"allOf":[{"$ref":"#/components/schemas/PersonalServiceActivity"}]},"priceWithoutTaxBeforeDiscount":{"type":"number"},"discountAmount":{"type":"number"},"discount":{"$ref":"#/components/schemas/DiscountLineDto"},"priceWithoutTaxAfterDiscount":{"type":"number"},"vatAmount":{"type":"number"},"priceTotalTax":{"type":"number"},"convertedAmounts":{"$ref":"#/components/schemas/ConvertedAmountsLineDto"},"isTaxIncluded":{"type":"boolean","description":"Indicates whether the unit price includes tax (TTC) or excludes tax (HT)"}},"required":["unitPrice","unitPriceHT","designation","isDeliveryOfGoods","priceWithoutTaxBeforeDiscount","discountAmount","discount","priceWithoutTaxAfterDiscount","vatAmount","priceTotalTax"]},"DiscountLineDto":{"type":"object","properties":{"amount":{"type":"number","description":"Montant de la remise, 1000 pour 10% ou 10€"},"mode":{"description":"Mode de la réduction en pourcentage ou en euros","allOf":[{"$ref":"#/components/schemas/DiscountMode"}]}},"required":["amount","mode"]},"ConvertedAmountsLineDto":{"type":"object","properties":{"priceWithoutTaxBeforeDiscount":{"type":"number"},"discountAmount":{"type":"number"},"priceWithoutTaxAfterDiscount":{"type":"number"},"vatAmount":{"type":"number"},"priceTotalTax":{"type":"number"}},"required":["priceWithoutTaxBeforeDiscount","priceWithoutTaxAfterDiscount","vatAmount","priceTotalTax"]},"ReadInvoiceTotalDto":{"type":"object","properties":{"amountWithoutTaxBeforeDiscount":{"type":"number"},"amountWithoutTaxAfterDiscount":{"type":"number"},"amountWithTaxAfterDiscount":{"type":"number"},"remainingAmountWithoutTax":{"type":"number"},"remainingAmountWithTax":{"type":"number"},"remainingReconciliateAmount":{"type":"number"},"discountAmount":{"type":"number"},"vatDetails":{"type":"array","items":{"$ref":"#/components/schemas/VatDetailDto"}},"amountWithoutTaxBeforeDiscountWithoutDisbursement":{"type":"number"},"convertedAmounts":{"$ref":"#/components/schemas/ReadInvoiceTotalWithoutConvertedAmountsDto"}},"required":["amountWithoutTaxBeforeDiscount","amountWithoutTaxAfterDiscount","amountWithTaxAfterDiscount","remainingAmountWithoutTax","remainingAmountWithTax","remainingReconciliateAmount","vatDetails","amountWithoutTaxBeforeDiscountWithoutDisbursement"]},"VatDetailDto":{"type":"object","properties":{"vatCode":{"allOf":[{"$ref":"#/components/schemas/VatCode"}]},"amount":{"type":"number"},"vatRate":{"type":"number"}},"required":["vatCode","amount","vatRate"]},"ReadInvoiceTotalWithoutConvertedAmountsDto":{"type":"object","properties":{"amountWithoutTaxBeforeDiscount":{"type":"number"},"amountWithoutTaxAfterDiscount":{"type":"number"},"amountWithTaxAfterDiscount":{"type":"number"},"remainingAmountWithoutTax":{"type":"number"},"remainingAmountWithTax":{"type":"number"},"remainingReconciliateAmount":{"type":"number"},"discountAmount":{"type":"number"},"vatDetails":{"type":"array","items":{"$ref":"#/components/schemas/VatDetailDto"}},"amountWithoutTaxBeforeDiscountWithoutDisbursement":{"type":"number"}},"required":["amountWithoutTaxBeforeDiscount","amountWithoutTaxAfterDiscount","amountWithTaxAfterDiscount","remainingAmountWithoutTax","remainingAmountWithTax","remainingReconciliateAmount","vatDetails","amountWithoutTaxBeforeDiscountWithoutDisbursement"]},"ReminderDto":{"type":"object","properties":{"inCopy":{"type":"boolean"},"frequency":{"allOf":[{"$ref":"#/components/schemas/ReminderFrequency"}]},"numberOfRemindersToSend":{"type":"number"},"active":{"type":"boolean"},"recipients":{"type":"array","items":{"type":"string"}}},"required":["inCopy","frequency","numberOfRemindersToSend","active","recipients"]},"ReminderFrequency":{"type":"string","enum":["on_due_date","every_week"],"description":"The frequency at which reminders should be sent"},"LatePenaltyDto":{"type":"object","properties":{"value":{"allOf":[{"$ref":"#/components/schemas/LatePenalty"}]},"otherValue":{"type":"string","description":"Description custom si `value` vaut `other`"}},"required":["value"]},"LatePenalty":{"type":"string","enum":["three_time_legal_rate","bce_director_rate_plus_ten_points","other"]},"BillingLumpSumCompensationDto":{"type":"object","properties":{"value":{"allOf":[{"$ref":"#/components/schemas/LumpSumCompensation"}]},"otherValue":{"type":"string","description":"Description custom si `value` vaut `other`"}},"required":["value"]},"LumpSumCompensation":{"type":"number","enum":[1,2]},"BillingDiscountAdvancePaymentDto":{"type":"object","properties":{"value":{"description":"Type de remise sur acompte","allOf":[{"$ref":"#/components/schemas/DiscountAdvancePayment"}]},"otherValue":{"type":"string","description":"Description custom si `value` vaut `other`"}},"required":["value"]},"DiscountAdvancePayment":{"type":"string","enum":["none","other"],"description":"Type de remise sur acompte"},"DisplayBillingSettingsDto":{"type":"object","properties":{"displayFullName":{"type":"boolean"},"displayEmail":{"type":"boolean"},"displayPhoneNumber":{"type":"boolean"},"displaySAPAgreement":{"type":"boolean"},"displayLegalStatus":{"type":"boolean"},"displayRequiredMentionsProduct":{"type":"boolean"},"displayMemberOfAnApprovedAssociation":{"type":"boolean"},"displayAbbyLogo":{"type":"boolean"},"displayTitle":{"type":"boolean"},"displayGoodForApproval":{"type":"boolean"},"displayEstimateNumber":{"type":"boolean"}},"required":["displayFullName","displayEmail","displayPhoneNumber","displaySAPAgreement","displayLegalStatus","displayRequiredMentionsProduct","displayMemberOfAnApprovedAssociation","displayAbbyLogo","displayTitle"]},"PaymentRequestDto":{"type":"object","properties":{"idDemandePaiement":{"type":"string"},"dateDebutEmploi":{"type":"number"},"dateFinEmploi":{"type":"number"},"dateVirement":{"type":"number"},"advanceAlreadyPayed":{"type":"number"},"advancePaymentDate":{"type":"number"},"mntVirement":{"type":"number"},"statut":{"allOf":[{"$ref":"#/components/schemas/PaymentRequestStatusUrssafTp"}]}},"required":["dateDebutEmploi","dateFinEmploi"]},"PaymentRequestStatusUrssafTp":{"type":"string","enum":[0,"10","20","30","40","50","60","70","110","111","120","112","ERR_PARTICULIER_INCONNU","ERR_CMPT_BLOQUE","ERR_FACTURE_DOUBLON","ERR_NBRE_PREST_MAX","ERR_DATE_FUTUR","ERR_DATE_PAIEMENT_AVANT_EXP","ERR_PERIODE_EMPLOI_MOIS_NON_UNIQUE","ERR_DATE_FIN_AVANT_DATE_DEB","ERR_MONTANT_ACOMPTE","ERR_TOTAL_PRESTATIONS","ERR_CODE_NATURE","ERR_CODE_ACTIVITE","ERR_CODE_ACTIVITE_NATURE","ERR_MNT_PREST_HT_TVA","ERR_MNT_PREST_TTC","ERR_VALEUR_NEGATIVE","ERR_PRESTATAIRE_EMETTEUR_INCONNU","ERR_LIEN_PARTICULIER_PRESTATAIRE","ERR_PRESTATAIRE_FACTURATION_INCONNU","ERR_CRITERE_RECHERCHE_VIDE","ERR_DGFIP_R2P_INCONNU","ERR_DATE_NAISSANCE_FUTUR","ERR_LIEU_NAISSANCE_DEPT","ERR_LIEU_NAISSANCE_COMN","ERR_LIEU_NAISSANCE_PAYS","ERR_DGFIP_IMPOTPART_INCONNU","ERR_CONTACT","ERR_CONTACT_ADRESSE_TYPE_VOIE","ERR_CONTACT_ADRESSE_LETTRE_VOIE","ERR_CONTACT_ADRESSE_TYPEVOIE","ERR_CONTACT_ADRESSE_LIBELLEVOIE","ERR_CONTACT_ADRESSE_INFORMATION_SUPPLEMENTAIRE","ERR_CONTACT_ADRESSE_COMMUNE","ERR_COORDONNEES_BANCAIRES","ERR_FORMAT_VALEUR","ERR_NBRE_MAX_RESULTAT","ERR_RECHERCHE_VIDE","ERR_ECV_PARTICULIERS_EXISTENT","ERREUR_REFERENCE_PARTICULIER_EXISTANTE_TYPE","ERR_LIEU_NAISSANCE_OBLIGATOIRE","ERREUR_LIEU_NAISSANCE_INVALIDE","ERR_RECHERCHE_PARTICULIER","ERR_FORMAT_NUMINTERVENANT","ERR_NUMINTERVENANT_MANQUANT","ERR_NUMINTERVENANT_BLOQUE","ERR_MANDAT_ECHU","ERREUR_VALIDATION","ERREUR_TECHNIQUE","ERREUR_INCONNUE"]},"ReadEstimateDto":{"type":"object","properties":{"id":{"type":"string"},"number":{"type":"string"},"title":{"type":"string","description":"Title of the billing document"},"type":{"allOf":[{"$ref":"#/components/schemas/BillingType"}]},"state":{"allOf":[{"$ref":"#/components/schemas/BillingState"}]},"customer":{"$ref":"#/components/schemas/ReadBillingCustomerDto"},"locale":{"allOf":[{"$ref":"#/components/schemas/BillingLocale"}]},"emittedAt":{"type":"number"},"archivedAt":{"type":"number"},"opportunity":{"$ref":"#/components/schemas/OpportunityDto"},"locked":{"type":"boolean"},"finalizable":{"type":"boolean"},"test":{"type":"boolean"},"isEditable":{"type":"boolean"},"currencyCode":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}]},"currency":{"$ref":"#/components/schemas/ReadCurrencyDto"},"lastDownloadAt":{"type":"number"},"attachments":{"type":"array","items":{"$ref":"#/components/schemas/ReadFileDto"}},"finalizeRequirements":{"type":"array","items":{"$ref":"#/components/schemas/FinalizeRequirementDto"}},"warnings":{"type":"array","items":{"$ref":"#/components/schemas/BillingWarningDto"}},"emitter":{"$ref":"#/components/schemas/ReadBillingEmitterDto"},"bankInformation":{"$ref":"#/components/schemas/ReadBankInformationDto"},"billingLegals":{"$ref":"#/components/schemas/BillingLegalsDto"},"createdAt":{"type":"number"},"updatedAt":{"type":"number"},"deliveryDate":{"type":"number"},"compatibilityVersion":{"allOf":[{"$ref":"#/components/schemas/BillingCompatibilityVersion"}]},"isDeletable":{"type":"boolean"},"displayDeliveryAddress":{"type":"boolean"},"finalizedAt":{"type":"number"},"lastSendByEmailAt":{"type":"number"},"themeId":{"type":"string","description":"ID of the theme applied to this document when set"},"paymentDelay":{"allOf":[{"$ref":"#/components/schemas/PaymentDelay"}]},"expiredAt":{"type":"number"},"refusedAt":{"type":"number"},"signedAt":{"type":"number"},"lines":{"type":"array","items":{"$ref":"#/components/schemas/ReadBillingDetailsLineDto"}},"total":{"$ref":"#/components/schemas/EstimateTotalDto"},"discount":{"$ref":"#/components/schemas/DiscountDto"},"latePenalty":{"$ref":"#/components/schemas/LatePenaltyDto"},"lumpSumCompensation":{"$ref":"#/components/schemas/LumpSumCompensationDto"},"discountAdvancePayment":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/BillingDiscountAdvancePaymentDto"}]},"displaySettings":{"$ref":"#/components/schemas/DisplaySettingsDto"},"advances":{"type":"array","items":{"$ref":"#/components/schemas/ReadAdvanceDto"}},"advanceEstimateLines":{"$ref":"#/components/schemas/ReadEstimateAdvanceLinesDto"},"withElectronicSignature":{"type":"boolean"},"electronicSignature":{"$ref":"#/components/schemas/EstimateElectronicSignatureDto"},"dueAt":{"type":"number"},"electronicSignatureRequirements":{"type":"array","items":{"$ref":"#/components/schemas/ElectronicSignatureRequirementDto"}},"hasFinalInvoice":{"type":"boolean"},"includeDiscountDisbursement":{"type":"boolean"}},"required":["id","type","state","customer","locale","emittedAt","finalizable","test","isEditable","currencyCode","currency","attachments","finalizeRequirements","warnings","emitter","billingLegals","createdAt","updatedAt","compatibilityVersion","isDeletable","displayDeliveryAddress","paymentDelay","expiredAt","lines","total","displaySettings","advances","advanceEstimateLines","withElectronicSignature","electronicSignature","electronicSignatureRequirements","hasFinalInvoice","includeDiscountDisbursement"]},"EstimateTotalDto":{"type":"object","properties":{"amountWithoutTaxBeforeDiscount":{"type":"number"},"amountWithoutTaxAfterDiscount":{"type":"number"},"amountWithTaxAfterDiscount":{"type":"number"},"remainingAmountWithoutTax":{"type":"number"},"remainingAmountWithTax":{"type":"number"},"remainingAmountToBill":{"type":"number"},"vatDetails":{"type":"array","items":{"$ref":"#/components/schemas/VatDetailDto"}},"discountAmount":{"type":"number"},"convertedAmounts":{"$ref":"#/components/schemas/ConvertedAmountsDto"},"billedAmountWithoutTax":{"type":"number"},"billedAmountWithTax":{"type":"number"},"amountWithoutTaxBeforeDiscountWithoutDisbursement":{"type":"number"},"remainingAmountWithoutTaxWithoutDisbursement":{"type":"number"}},"required":["amountWithoutTaxBeforeDiscount","amountWithoutTaxAfterDiscount","amountWithTaxAfterDiscount","remainingAmountWithoutTax","remainingAmountWithTax","remainingAmountToBill","vatDetails","billedAmountWithoutTax","billedAmountWithTax","amountWithoutTaxBeforeDiscountWithoutDisbursement","remainingAmountWithoutTaxWithoutDisbursement"]},"ConvertedAmountsDto":{"type":"object","properties":{"amountWithoutTaxBeforeDiscount":{"type":"number"},"amountWithoutTaxAfterDiscount":{"type":"number"},"amountWithTaxAfterDiscount":{"type":"number"},"remainingAmountWithoutTax":{"type":"number"},"remainingAmountWithTax":{"type":"number"},"remainingAmountToBill":{"type":"number"},"vatDetails":{"type":"array","items":{"$ref":"#/components/schemas/VatDetailDto"}},"discountAmount":{"type":"number"},"billedAmountWithoutTax":{"type":"number"},"billedAmountWithTax":{"type":"number"},"remainingAmountWithoutTaxWithoutDisbursement":{"type":"number"},"amountWithoutTaxBeforeDiscountWithoutDisbursement":{"type":"number"}},"required":["amountWithoutTaxBeforeDiscount","amountWithoutTaxAfterDiscount","amountWithTaxAfterDiscount","remainingAmountWithoutTax","remainingAmountWithTax","remainingAmountToBill","vatDetails","billedAmountWithoutTax","billedAmountWithTax","remainingAmountWithoutTaxWithoutDisbursement","amountWithoutTaxBeforeDiscountWithoutDisbursement"]},"LumpSumCompensationDto":{"type":"object","properties":{"value":{"allOf":[{"$ref":"#/components/schemas/LumpSumCompensation"}]},"otherValue":{"type":"string","description":"Description custom si `value` vaut `other`"}},"required":["value"]},"DisplaySettingsDto":{"type":"object","properties":{"displayFullName":{"type":"boolean"},"displayEmail":{"type":"boolean"},"displayPhoneNumber":{"type":"boolean"},"displaySAPAgreement":{"type":"boolean"},"displayLegalStatus":{"type":"boolean"},"displayRequiredMentionsProduct":{"type":"boolean"},"displayGoodForApproval":{"type":"boolean"},"displayMemberOfAnApprovedAssociation":{"type":"boolean"},"displayAbbyLogo":{"type":"boolean"},"displayTitle":{"type":"boolean"}},"required":["displayFullName","displayEmail","displayPhoneNumber","displaySAPAgreement","displayLegalStatus","displayRequiredMentionsProduct","displayMemberOfAnApprovedAssociation","displayAbbyLogo","displayTitle"]},"ReadAdvanceDto":{"type":"object","properties":{"id":{"type":"string"},"number":{"type":"string"},"title":{"type":"string","description":"Title of the billing document"},"type":{"allOf":[{"$ref":"#/components/schemas/BillingType"}]},"state":{"allOf":[{"$ref":"#/components/schemas/BillingState"}]},"customer":{"$ref":"#/components/schemas/ReadBillingCustomerDto"},"locale":{"allOf":[{"$ref":"#/components/schemas/BillingLocale"}]},"emittedAt":{"type":"number"},"archivedAt":{"type":"number"},"opportunity":{"$ref":"#/components/schemas/OpportunityDto"},"locked":{"type":"boolean"},"finalizable":{"type":"boolean"},"test":{"type":"boolean"},"isEditable":{"type":"boolean"},"currencyCode":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}]},"currency":{"$ref":"#/components/schemas/ReadCurrencyDto"},"lastDownloadAt":{"type":"number"},"attachments":{"type":"array","items":{"$ref":"#/components/schemas/ReadFileDto"}},"finalizeRequirements":{"type":"array","items":{"$ref":"#/components/schemas/FinalizeRequirementDto"}},"warnings":{"type":"array","items":{"$ref":"#/components/schemas/BillingWarningDto"}},"emitter":{"$ref":"#/components/schemas/ReadBillingEmitterDto"},"bankInformation":{"$ref":"#/components/schemas/ReadBankInformationDto"},"billingLegals":{"$ref":"#/components/schemas/BillingLegalsDto"},"createdAt":{"type":"number"},"updatedAt":{"type":"number"},"deliveryDate":{"type":"number"},"compatibilityVersion":{"allOf":[{"$ref":"#/components/schemas/BillingCompatibilityVersion"}]},"isDeletable":{"type":"boolean"},"displayDeliveryAddress":{"type":"boolean"},"finalizedAt":{"type":"number"},"lastSendByEmailAt":{"type":"number"},"themeId":{"type":"string","description":"ID of the theme applied to this document when set"},"paymentDelay":{"allOf":[{"$ref":"#/components/schemas/PaymentDelay"}]},"dueAt":{"type":"number"},"paidAt":{"type":"number"},"lastReminderSentAt":{"type":"number"},"isReminderActivated":{"type":"boolean"},"designation":{"type":"string"},"isOnlinePaymentActivated":{"type":"boolean"},"description":{"type":"string"},"total":{"$ref":"#/components/schemas/TotalDto"},"discount":{"$ref":"#/components/schemas/DiscountDto"},"displaySettings":{"$ref":"#/components/schemas/DisplaySettingsDto"},"parent":{"$ref":"#/components/schemas/ReadEstimateDto"},"advanceMode":{"allOf":[{"$ref":"#/components/schemas/AdvanceMode"}]},"advancePercentage":{"type":"number"},"advanceAmount":{"type":"number"},"reminder":{"$ref":"#/components/schemas/BillingReminderDto"},"latePenalty":{"$ref":"#/components/schemas/BillingLatePenaltyDto"},"lumpSumCompensation":{"$ref":"#/components/schemas/BillingLumpSumCompensationDto"},"discountAdvancePayment":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/BillingDiscountAdvancePaymentDto"}]},"hasAssociatedTransaction":{"type":"boolean","description":"Indicates if the customer has an associated transaction"},"includeDisbursement":{"type":"boolean","description":"Indicates if the advance includes disbursement"},"canceledAt":{"type":"number"}},"required":["id","type","state","customer","locale","emittedAt","finalizable","test","isEditable","currencyCode","currency","attachments","finalizeRequirements","warnings","emitter","billingLegals","createdAt","updatedAt","compatibilityVersion","isDeletable","displayDeliveryAddress","paymentDelay","isReminderActivated","designation","isOnlinePaymentActivated","total","displaySettings","advanceMode","advancePercentage","advanceAmount","hasAssociatedTransaction","includeDisbursement"]},"TotalDto":{"type":"object","properties":{"amountWithoutTaxBeforeDiscount":{"type":"number"},"amountWithoutTaxAfterDiscount":{"type":"number"},"amountWithTaxAfterDiscount":{"type":"number"},"remainingAmountWithoutTax":{"type":"number"},"remainingAmountWithTax":{"type":"number"},"remainingReconciliateAmount":{"type":"number"},"vatDetails":{"type":"array","items":{"$ref":"#/components/schemas/VatDetailDto"}},"discountAmount":{"type":"number"},"convertedAmounts":{"$ref":"#/components/schemas/ConvertedAmountsDto"}},"required":["amountWithoutTaxBeforeDiscount","amountWithoutTaxAfterDiscount","amountWithTaxAfterDiscount","remainingAmountWithoutTax","remainingAmountWithTax","remainingReconciliateAmount","vatDetails"]},"AdvanceMode":{"type":"string","enum":["AMOUNT","PERCENTAGE"],"description":"The mode of the advance (amount or percentage)"},"BillingReminderDto":{"type":"object","properties":{"inCopy":{"type":"boolean","description":"Indicates if the sender should be in copy of the reminder"},"frequency":{"description":"The frequency at which reminders should be sent","allOf":[{"$ref":"#/components/schemas/ReminderFrequency"}]},"numberOfRemindersToSend":{"type":"number","description":"The number of reminders to be sent"},"active":{"type":"boolean","description":"Indicates if the reminder is active"},"recipients":{"description":"Array of email addresses to receive the reminder","type":"array","items":{"type":"string"}}},"required":["inCopy","frequency","numberOfRemindersToSend","active"]},"BillingLatePenaltyDto":{"type":"object","properties":{"value":{"allOf":[{"$ref":"#/components/schemas/LatePenalty"}]},"otherValue":{"type":"string","description":"Description custom si `value` vaut `other`"}},"required":["value"]},"ReadEstimateAdvanceLinesDto":{"type":"object","properties":{"advances":{"description":"Array of advance items","type":"array","items":{"$ref":"#/components/schemas/ReadAdvanceItemLineDto"}},"totals":{"description":"Totals of the advance items","allOf":[{"$ref":"#/components/schemas/ReadAdvanceItemLineTotalsDto"}]},"convertedTotals":{"description":"Converted totals of the advance items","allOf":[{"$ref":"#/components/schemas/ReadAdvanceItemLineTotalsDto"}]}},"required":["advances","totals","convertedTotals"]},"ReadAdvanceItemLineDto":{"type":"object","properties":{"value":{"type":"number","description":"The value of the advance (amount or percentage)"},"mode":{"description":"The mode of the advance (amount or percentage)","allOf":[{"$ref":"#/components/schemas/AdvanceMode"}]},"paymentCondition":{"description":"Payment condition for the advance","allOf":[{"$ref":"#/components/schemas/PaymentCondition"}]},"customPaymentCondition":{"type":"string","description":"Custom payment condition if OTHER is selected","nullable":true}},"required":["value","mode"]},"PaymentCondition":{"type":"string","enum":["SIGNATURE","ORDER","OTHER"]},"ReadAdvanceItemLineTotalsDto":{"type":"object","properties":{"totalAmountWithoutTax":{"type":"number","description":"Total amount of all advances"},"totalAmountWithTax":{"type":"number","description":"Total amount of all advances after discount"},"remainingTotalAmountWithoutTax":{"type":"number","description":"Remaining total amount without tax"},"remainingTotalAmountWithTax":{"type":"number","description":"Remaining total amount with tax"}},"required":["totalAmountWithoutTax","totalAmountWithTax","remainingTotalAmountWithoutTax","remainingTotalAmountWithTax"]},"EstimateElectronicSignatureDto":{"type":"object","properties":{"id":{"type":"string"},"canceledAt":{"type":"number","nullable":true},"procedureId":{"type":"string","nullable":true},"magicLink":{"type":"string","nullable":true},"signedAt":{"type":"number","nullable":true},"refusedAt":{"type":"number","nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/ElectronicSignatureStatus"}]}},"required":["id","canceledAt","procedureId","magicLink","signedAt","refusedAt","status"]},"ElectronicSignatureStatus":{"type":"string","enum":["requested","activated","on_going","refused","signed","cancelled"]},"ElectronicSignatureRequirementDto":{"type":"object","properties":{"name":{"type":"string"},"message":{"type":"string"}},"required":["name","message"]},"FrequencyDto":{"type":"object","properties":{"id":{"type":"string"},"from":{"type":"string"},"to":{"type":"string"},"nextBillingAt":{"type":"string","nullable":true},"frequency":{"type":"number"},"interval":{"allOf":[{"$ref":"#/components/schemas/FrequencyInterval"}]},"finalizeInvoice":{"type":"boolean"},"sendByMail":{"type":"boolean"},"inCopy":{"type":"boolean"}},"required":["id","from","to","frequency","interval","finalizeInvoice","sendByMail","inCopy"]},"FrequencyInterval":{"type":"string","enum":["day","week","month","year"]},"ReadAssetDto":{"type":"object","properties":{"id":{"type":"string"},"number":{"type":"string"},"title":{"type":"string","description":"Title of the billing document"},"type":{"allOf":[{"$ref":"#/components/schemas/BillingType"}]},"state":{"allOf":[{"$ref":"#/components/schemas/BillingState"}]},"customer":{"$ref":"#/components/schemas/ReadBillingCustomerDto"},"locale":{"allOf":[{"$ref":"#/components/schemas/BillingLocale"}]},"emittedAt":{"type":"number"},"archivedAt":{"type":"number"},"opportunity":{"$ref":"#/components/schemas/OpportunityDto"},"locked":{"type":"boolean"},"finalizable":{"type":"boolean"},"test":{"type":"boolean"},"isEditable":{"type":"boolean"},"currencyCode":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}]},"currency":{"$ref":"#/components/schemas/ReadCurrencyDto"},"lastDownloadAt":{"type":"number"},"attachments":{"type":"array","items":{"$ref":"#/components/schemas/ReadFileDto"}},"finalizeRequirements":{"type":"array","items":{"$ref":"#/components/schemas/FinalizeRequirementDto"}},"warnings":{"type":"array","items":{"$ref":"#/components/schemas/BillingWarningDto"}},"emitter":{"$ref":"#/components/schemas/ReadBillingEmitterDto"},"bankInformation":{"$ref":"#/components/schemas/ReadBankInformationDto"},"billingLegals":{"$ref":"#/components/schemas/BillingLegalsDto"},"createdAt":{"type":"number"},"updatedAt":{"type":"number"},"deliveryDate":{"type":"number"},"compatibilityVersion":{"allOf":[{"$ref":"#/components/schemas/BillingCompatibilityVersion"}]},"isDeletable":{"type":"boolean"},"displayDeliveryAddress":{"type":"boolean"},"finalizedAt":{"type":"number"},"lastSendByEmailAt":{"type":"number"},"themeId":{"type":"string","description":"ID of the theme applied to this document when set"},"lines":{"type":"array","items":{"$ref":"#/components/schemas/ReadBillingDetailsLineDto"}},"total":{"$ref":"#/components/schemas/ReadInvoiceTotalDto"},"discount":{"$ref":"#/components/schemas/DiscountDto"},"parent":{"oneOf":[{"$ref":"#/components/schemas/ReadInvoiceDto"},{"$ref":"#/components/schemas/ReadAdvanceDto"}]},"advances":{"description":"Advances deducted from the asset total (for V3+ assets from final invoice)","type":"array","items":{"$ref":"#/components/schemas/ReadAdvanceDto"}},"refundAt":{"type":"number"},"latePenalty":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/BillingLatePenaltyDto"}]},"lumpSumCompensation":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/BillingLumpSumCompensationDto"}]},"discountAdvancePayment":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/BillingDiscountAdvancePaymentDto"}]},"displaySettings":{"$ref":"#/components/schemas/DisplayBillingSettingsDto"},"dueAt":{"type":"number"},"paymentDelay":{"allOf":[{"$ref":"#/components/schemas/PaymentDelay"}]},"includeDiscountDisbursement":{"type":"boolean"}},"required":["id","type","state","customer","locale","emittedAt","finalizable","test","isEditable","currencyCode","currency","attachments","finalizeRequirements","warnings","emitter","billingLegals","createdAt","updatedAt","compatibilityVersion","isDeletable","displayDeliveryAddress","lines","total","displaySettings","paymentDelay","includeDiscountDisbursement"]}}},"paths":{"/v2/billing/{billingId}/lines":{"patch":{"operationId":"BillingController_updateLines_v2","parameters":[{"name":"billingId","required":true,"in":"path","description":"ID of the billing to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBillingLinesDto"}}}},"responses":{"200":{"description":"Billing lines updated successfully","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ReadInvoiceDto"},{"$ref":"#/components/schemas/ReadEstimateDto"},{"$ref":"#/components/schemas/ReadAssetDto"}]}}}},"401":{"description":"Unauthorized"},"404":{"description":"Billing not found"}},"summary":"Update billing lines","tags":["Billing"]}}}}
```

## Mettre à jour les informations générales

## PATCH /v2/billing/estimate/{estimateId}/general-informations

> Update estimate general informations

```json
{"openapi":"3.0.0","info":{"title":"Abby API","version":"1.0"},"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"UpdateEstimateGeneralInformationsDto":{"type":"object","properties":{"headerNote":{"type":"string","description":"Custom note to be displayed in the header of the billing"},"footerNote":{"type":"string","description":"Custom note to be displayed in the footer of the billing"},"generalTermsAndConditionsOfSale":{"type":"string","description":"General terms and conditions of sale to be included in the billing"},"mentionMediator":{"type":"string","description":"Mention mediateur to be included in the billing"},"paymentMethods":{"type":"array","description":"Array of accepted payment methods for the billing","items":{"$ref":"#/components/schemas/PaymentMethod"}},"otherPaymentMethod":{"type":"string","description":"Other payment method"},"vatMention":{"description":"Vat mention applicable for a billing","allOf":[{"$ref":"#/components/schemas/VatMention"}]},"latePenalty":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/BillingLatePenaltyDto"}]},"lumpSumCompensation":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/BillingLumpSumCompensationDto"}]},"discountAdvancePayment":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/BillingDiscountAdvancePaymentDto"}]}}},"PaymentMethod":{"type":"string","enum":["transfer","direct_debit","credit_card","cheque","universal_employment_service_cheque","cash","paypal","stripe","other"]},"VatMention":{"type":"number","enum":[1,2,3,4,5,6,13,7,8,9,10,11,12,14,15,16,17,18,19,20,21]},"BillingLatePenaltyDto":{"type":"object","properties":{"value":{"allOf":[{"$ref":"#/components/schemas/LatePenalty"}]},"otherValue":{"type":"string","description":"Description custom si `value` vaut `other`"}},"required":["value"]},"LatePenalty":{"type":"string","enum":["three_time_legal_rate","bce_director_rate_plus_ten_points","other"]},"BillingLumpSumCompensationDto":{"type":"object","properties":{"value":{"allOf":[{"$ref":"#/components/schemas/LumpSumCompensation"}]},"otherValue":{"type":"string","description":"Description custom si `value` vaut `other`"}},"required":["value"]},"LumpSumCompensation":{"type":"number","enum":[1,2]},"BillingDiscountAdvancePaymentDto":{"type":"object","properties":{"value":{"description":"Type de remise sur acompte","allOf":[{"$ref":"#/components/schemas/DiscountAdvancePayment"}]},"otherValue":{"type":"string","description":"Description custom si `value` vaut `other`"}},"required":["value"]},"DiscountAdvancePayment":{"type":"string","enum":["none","other"],"description":"Type de remise sur acompte"},"ReadEstimateDto":{"type":"object","properties":{"id":{"type":"string"},"number":{"type":"string"},"title":{"type":"string","description":"Title of the billing document"},"type":{"allOf":[{"$ref":"#/components/schemas/BillingType"}]},"state":{"allOf":[{"$ref":"#/components/schemas/BillingState"}]},"customer":{"$ref":"#/components/schemas/ReadBillingCustomerDto"},"locale":{"allOf":[{"$ref":"#/components/schemas/BillingLocale"}]},"emittedAt":{"type":"number"},"archivedAt":{"type":"number"},"opportunity":{"$ref":"#/components/schemas/OpportunityDto"},"locked":{"type":"boolean"},"finalizable":{"type":"boolean"},"test":{"type":"boolean"},"isEditable":{"type":"boolean"},"currencyCode":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}]},"currency":{"$ref":"#/components/schemas/ReadCurrencyDto"},"lastDownloadAt":{"type":"number"},"attachments":{"type":"array","items":{"$ref":"#/components/schemas/ReadFileDto"}},"finalizeRequirements":{"type":"array","items":{"$ref":"#/components/schemas/FinalizeRequirementDto"}},"warnings":{"type":"array","items":{"$ref":"#/components/schemas/BillingWarningDto"}},"emitter":{"$ref":"#/components/schemas/ReadBillingEmitterDto"},"bankInformation":{"$ref":"#/components/schemas/ReadBankInformationDto"},"billingLegals":{"$ref":"#/components/schemas/BillingLegalsDto"},"createdAt":{"type":"number"},"updatedAt":{"type":"number"},"deliveryDate":{"type":"number"},"compatibilityVersion":{"allOf":[{"$ref":"#/components/schemas/BillingCompatibilityVersion"}]},"isDeletable":{"type":"boolean"},"displayDeliveryAddress":{"type":"boolean"},"finalizedAt":{"type":"number"},"lastSendByEmailAt":{"type":"number"},"themeId":{"type":"string","description":"ID of the theme applied to this document when set"},"paymentDelay":{"allOf":[{"$ref":"#/components/schemas/PaymentDelay"}]},"expiredAt":{"type":"number"},"refusedAt":{"type":"number"},"signedAt":{"type":"number"},"lines":{"type":"array","items":{"$ref":"#/components/schemas/ReadBillingDetailsLineDto"}},"total":{"$ref":"#/components/schemas/EstimateTotalDto"},"discount":{"$ref":"#/components/schemas/DiscountDto"},"latePenalty":{"$ref":"#/components/schemas/LatePenaltyDto"},"lumpSumCompensation":{"$ref":"#/components/schemas/LumpSumCompensationDto"},"discountAdvancePayment":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/BillingDiscountAdvancePaymentDto"}]},"displaySettings":{"$ref":"#/components/schemas/DisplaySettingsDto"},"advances":{"type":"array","items":{"$ref":"#/components/schemas/ReadAdvanceDto"}},"advanceEstimateLines":{"$ref":"#/components/schemas/ReadEstimateAdvanceLinesDto"},"withElectronicSignature":{"type":"boolean"},"electronicSignature":{"$ref":"#/components/schemas/EstimateElectronicSignatureDto"},"dueAt":{"type":"number"},"electronicSignatureRequirements":{"type":"array","items":{"$ref":"#/components/schemas/ElectronicSignatureRequirementDto"}},"hasFinalInvoice":{"type":"boolean"},"includeDiscountDisbursement":{"type":"boolean"}},"required":["id","type","state","customer","locale","emittedAt","finalizable","test","isEditable","currencyCode","currency","attachments","finalizeRequirements","warnings","emitter","billingLegals","createdAt","updatedAt","compatibilityVersion","isDeletable","displayDeliveryAddress","paymentDelay","expiredAt","lines","total","displaySettings","advances","advanceEstimateLines","withElectronicSignature","electronicSignature","electronicSignatureRequirements","hasFinalInvoice","includeDiscountDisbursement"]},"BillingType":{"type":"number","enum":[1,2,3,4,5]},"BillingState":{"type":"string","enum":[1,2,3,4,5]},"ReadBillingCustomerDto":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the customer"},"legacyId":{"type":"string","description":"Legacy identifier of the customer"},"currency":{"description":"Preferred currency of the customer","allOf":[{"$ref":"#/components/schemas/CurrencyCode"}]},"firstname":{"type":"string","description":"First name of the customer"},"lastname":{"type":"string","description":"Last name of the customer"},"phoneNumber":{"type":"string","description":"Phone number of the customer"},"emails":{"description":"Email addresses of the customer","type":"array","items":{"type":"string"}},"billingAddress":{"description":"Billing address of the customer","allOf":[{"$ref":"#/components/schemas/AddressDto"}]},"deliveryAddress":{"description":"Delivery address of the customer","allOf":[{"$ref":"#/components/schemas/AddressDto"}]},"deliveryAddressIsSame":{"type":"boolean","description":"Tell if delivery and billing address are deep equal or not"},"language":{"type":"string","description":"Preferred language of the customer"},"name":{"type":"string","description":"Full name of the customer"},"commercialName":{"type":"string","description":"Commercial name of the customer"},"siren":{"type":"string","description":"SIREN number of the customer"},"siret":{"type":"string","description":"SIRET number of the customer"},"nafCode":{"type":"string","description":"NAF code of the customer"},"vatNumber":{"type":"string","description":"VAT number of the customer"},"token":{"type":"string","description":"Token associated with the customer"},"parent":{"description":"Parent customer information","allOf":[{"$ref":"#/components/schemas/ReadBillingCustomerDto"}]},"contactId":{"type":"string","description":"Contact identifier associated with the customer"},"organizationId":{"type":"string","description":"Organization identifier associated with the customer"},"isDefault":{"type":"boolean","description":"Indicates if this is the default customer"},"test":{"type":"boolean","description":"Indicates if this is a test customer"}},"required":["id","legacyId","billingAddress","deliveryAddressIsSame","token","test"]},"CurrencyCode":{"type":"string","enum":["EUR","GBP","CHF","USD","AUD","CAD","JPY","CNH","CZK","DKK","BGN","PLN","HUF","RON","SEK","NOK","TRY","BRL","HKD","ILS","INR","KRW","MXN"],"description":"Preferred currency of the customer"},"AddressDto":{"type":"object","properties":{"line1":{"type":"string","description":"First line of the address"},"line2":{"type":"string","description":"Second line of the address"},"city":{"type":"string","description":"City of the address"},"zipCode":{"type":"string","description":"Zip code of the address"},"country":{"description":"Country code of the address","allOf":[{"$ref":"#/components/schemas/CountryCode"}]}},"required":["line1","city","zipCode","country"]},"CountryCode":{"type":"string","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AN","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HK","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KR","XK","KP","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MO","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","US","UM","UY","UZ","VU","VE","VN","VG","VI","WF","EH","YE","ZM","ZW"],"description":"Country code of the address"},"BillingLocale":{"type":"string","enum":["fr","en","de","it","nl","pt","es"]},"OpportunityDto":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"}},"required":["id","name"]},"ReadCurrencyDto":{"type":"object","properties":{"currencyCode":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}]},"currencyDate":{"type":"number"},"currencyRate":{"type":"number"},"origin":{"allOf":[{"$ref":"#/components/schemas/CurrencyOrigin"}]}},"required":["currencyCode","currencyDate","currencyRate","origin"]},"CurrencyOrigin":{"type":"string","enum":["ECB","USER"]},"ReadFileDto":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"extension":{"type":"string"},"mimeType":{"type":"string"},"url":{"type":"string"},"relativeUrl":{"type":"string"},"isCertified":{"type":"boolean"},"isCertifiable":{"type":"boolean"}},"required":["id","name","extension","mimeType","url","relativeUrl"]},"FinalizeRequirementDto":{"type":"object","properties":{"name":{"type":"string"},"message":{"type":"string"}},"required":["name","message"]},"BillingWarningDto":{"type":"object","properties":{"title":{"type":"string"},"message":{"type":"string"}},"required":["title","message"]},"ReadBillingEmitterDto":{"type":"object","properties":{"name":{"type":"string"},"fullName":{"type":"string"},"email":{"type":"string"},"phone":{"type":"string"},"commercialName":{"type":"string"},"siret":{"type":"string"},"vatNumber":{"type":"string"},"rcsNumber":{"type":"string"},"legalStatus":{"allOf":[{"$ref":"#/components/schemas/LegalStatus"}]},"sapAgreementNumber":{"type":"string"},"hasVat":{"type":"boolean"}}},"LegalStatus":{"type":"number","enum":[1,2,3,4,5,6,7,8,9,10,11,12,13,14]},"ReadBankInformationDto":{"type":"object","properties":{"bic":{"type":"string"},"iban":{"type":"string"},"holder":{"type":"string"}},"required":["bic","iban","holder"]},"BillingLegalsDto":{"type":"object","properties":{"headerNote":{"type":"string"},"footerNote":{"type":"string"},"generalTermsAndConditionsOfSale":{"type":"string"},"mentionMediator":{"type":"string"},"vatMention":{"allOf":[{"$ref":"#/components/schemas/VatMention"}]},"paymentMethods":{"type":"array","items":{"$ref":"#/components/schemas/PaymentMethod"}},"otherPaymentMethod":{"type":"string","description":"Other payment method"}},"required":["vatMention","paymentMethods"]},"BillingCompatibilityVersion":{"type":"string","enum":["V1","V2","V3"]},"PaymentDelay":{"type":"string","enum":["at_reception","end_of_month","seven_days","ten_days","fifteen_days","thirty_days","thirty_days_end_of_month","forty_five_days","forty_five_days_end_of_month","sixty_days","sixty_days_end_of_month","ninety_days","ninety_days_end_of_month","one_hundred_and_twenty_days","other"]},"ReadBillingDetailsLineDto":{"type":"object","properties":{"generatedId":{"type":"string"},"id":{"type":"string"},"unitPrice":{"type":"number"},"unitPriceHT":{"type":"number"},"productId":{"type":"string"},"quantity":{"type":"number"},"quantityUnit":{"allOf":[{"$ref":"#/components/schemas/ProductUnit"}]},"designation":{"type":"string"},"reference":{"type":"string"},"description":{"type":"string"},"isDeliveryOfGoods":{"type":"boolean"},"type":{"allOf":[{"$ref":"#/components/schemas/ProductType"}]},"vatCode":{"allOf":[{"$ref":"#/components/schemas/VatCode"}]},"personalServiceActivity":{"allOf":[{"$ref":"#/components/schemas/PersonalServiceActivity"}]},"priceWithoutTaxBeforeDiscount":{"type":"number"},"discountAmount":{"type":"number"},"discount":{"$ref":"#/components/schemas/DiscountLineDto"},"priceWithoutTaxAfterDiscount":{"type":"number"},"vatAmount":{"type":"number"},"priceTotalTax":{"type":"number"},"convertedAmounts":{"$ref":"#/components/schemas/ConvertedAmountsLineDto"},"isTaxIncluded":{"type":"boolean","description":"Indicates whether the unit price includes tax (TTC) or excludes tax (HT)"}},"required":["unitPrice","unitPriceHT","designation","isDeliveryOfGoods","priceWithoutTaxBeforeDiscount","discountAmount","discount","priceWithoutTaxAfterDiscount","vatAmount","priceTotalTax"]},"ProductUnit":{"type":"number","enum":[14,1,2,3,22,23,24,25,26,21,20,4,5,6,7,8,9,10,11,12,13,15,16,17,18,19,27,28]},"ProductType":{"type":"number","enum":[1,2,3,4,5]},"VatCode":{"type":"string","enum":["FR_210","FR_550","FR_850","FR_1000","FR_2000","FR_00HT","FR_00UE","FR_0HUE"]},"PersonalServiceActivity":{"type":"string","enum":["GARDE_ENFANT_HANDICAPE","ACCOMPAGNEMENT_ENFANT_HANDICAPE","AIDE_HUMAINE","CONDUITE_VEHICULE_PERSONNEL","AIDE_AU_DEPLACEMENT","ENTRETIEN_DE_LA_MAISON","JARDINAGE","BRICOLAGE","GARDE_ENFANT_PLUS_DE_6_ANS","SOUTIEN_SCOLAIRE_COURS_A_DOMICILE","SOIN_ESTHETIQUE_A_DOMICILE","PREPARATION_REPAS_A_DOMICILE","LIVRAISON_REPAS_A_DOMICILE","COLLECTE_ET_LIVRAISON_DE_LINGE_REPASSE","LIVRAISON_COURSES_A_DOMICILE","ASSISTANCE_INFORMATIQUE","SOINS_ET_PROMENADES_ANIMAUX_DE_COMPAGNIE_POUR_PERSONNES_DEPENDANTES","MAINTENANCE_ENTRETIEN_ET_VIGILANCE_DE_LA_RESIDENCE_PRINCIPALE","ASSISTANCE_ADMINISTRATIVE","ACCOMPAGNEMENT_ENFANT_PLUS_DE_6_ANS","TELEASSISTANCE","INTERPRETE_LANGUE_DES_SIGNES","CONDUITE_VEHICULE_PERSONNEL_EN_CAS_INVALIDITE_TEMPORAIRE","ACCOMPAGNEMENT_DEPLACEMENTS_EN_DEHORS_DU_DOMICILE","ASSISTANCE_PERSONNES_TEMPORAIREMENT_DEPENDANTES_A_DOMICILE","COORDINATION_ET_GESTION","DIVERS_NON_ELIGIBLE"]},"DiscountLineDto":{"type":"object","properties":{"amount":{"type":"number","description":"Montant de la remise, 1000 pour 10% ou 10€"},"mode":{"description":"Mode de la réduction en pourcentage ou en euros","allOf":[{"$ref":"#/components/schemas/DiscountMode"}]}},"required":["amount","mode"]},"DiscountMode":{"type":"number","enum":[1,2]},"ConvertedAmountsLineDto":{"type":"object","properties":{"priceWithoutTaxBeforeDiscount":{"type":"number"},"discountAmount":{"type":"number"},"priceWithoutTaxAfterDiscount":{"type":"number"},"vatAmount":{"type":"number"},"priceTotalTax":{"type":"number"}},"required":["priceWithoutTaxBeforeDiscount","priceWithoutTaxAfterDiscount","vatAmount","priceTotalTax"]},"EstimateTotalDto":{"type":"object","properties":{"amountWithoutTaxBeforeDiscount":{"type":"number"},"amountWithoutTaxAfterDiscount":{"type":"number"},"amountWithTaxAfterDiscount":{"type":"number"},"remainingAmountWithoutTax":{"type":"number"},"remainingAmountWithTax":{"type":"number"},"remainingAmountToBill":{"type":"number"},"vatDetails":{"type":"array","items":{"$ref":"#/components/schemas/VatDetailDto"}},"discountAmount":{"type":"number"},"convertedAmounts":{"$ref":"#/components/schemas/ConvertedAmountsDto"},"billedAmountWithoutTax":{"type":"number"},"billedAmountWithTax":{"type":"number"},"amountWithoutTaxBeforeDiscountWithoutDisbursement":{"type":"number"},"remainingAmountWithoutTaxWithoutDisbursement":{"type":"number"}},"required":["amountWithoutTaxBeforeDiscount","amountWithoutTaxAfterDiscount","amountWithTaxAfterDiscount","remainingAmountWithoutTax","remainingAmountWithTax","remainingAmountToBill","vatDetails","billedAmountWithoutTax","billedAmountWithTax","amountWithoutTaxBeforeDiscountWithoutDisbursement","remainingAmountWithoutTaxWithoutDisbursement"]},"VatDetailDto":{"type":"object","properties":{"vatCode":{"allOf":[{"$ref":"#/components/schemas/VatCode"}]},"amount":{"type":"number"},"vatRate":{"type":"number"}},"required":["vatCode","amount","vatRate"]},"ConvertedAmountsDto":{"type":"object","properties":{"amountWithoutTaxBeforeDiscount":{"type":"number"},"amountWithoutTaxAfterDiscount":{"type":"number"},"amountWithTaxAfterDiscount":{"type":"number"},"remainingAmountWithoutTax":{"type":"number"},"remainingAmountWithTax":{"type":"number"},"remainingAmountToBill":{"type":"number"},"vatDetails":{"type":"array","items":{"$ref":"#/components/schemas/VatDetailDto"}},"discountAmount":{"type":"number"},"billedAmountWithoutTax":{"type":"number"},"billedAmountWithTax":{"type":"number"},"remainingAmountWithoutTaxWithoutDisbursement":{"type":"number"},"amountWithoutTaxBeforeDiscountWithoutDisbursement":{"type":"number"}},"required":["amountWithoutTaxBeforeDiscount","amountWithoutTaxAfterDiscount","amountWithTaxAfterDiscount","remainingAmountWithoutTax","remainingAmountWithTax","remainingAmountToBill","vatDetails","billedAmountWithoutTax","billedAmountWithTax","remainingAmountWithoutTaxWithoutDisbursement","amountWithoutTaxBeforeDiscountWithoutDisbursement"]},"DiscountDto":{"type":"object","properties":{"mode":{"description":"The mode of discount application, either percentage or fixed amount","allOf":[{"$ref":"#/components/schemas/DiscountMode"}]},"amount":{"type":"number","description":"The amount for the discount (1000 for 10% or 10€)"}},"required":["mode","amount"]},"LatePenaltyDto":{"type":"object","properties":{"value":{"allOf":[{"$ref":"#/components/schemas/LatePenalty"}]},"otherValue":{"type":"string","description":"Description custom si `value` vaut `other`"}},"required":["value"]},"LumpSumCompensationDto":{"type":"object","properties":{"value":{"allOf":[{"$ref":"#/components/schemas/LumpSumCompensation"}]},"otherValue":{"type":"string","description":"Description custom si `value` vaut `other`"}},"required":["value"]},"DisplaySettingsDto":{"type":"object","properties":{"displayFullName":{"type":"boolean"},"displayEmail":{"type":"boolean"},"displayPhoneNumber":{"type":"boolean"},"displaySAPAgreement":{"type":"boolean"},"displayLegalStatus":{"type":"boolean"},"displayRequiredMentionsProduct":{"type":"boolean"},"displayGoodForApproval":{"type":"boolean"},"displayMemberOfAnApprovedAssociation":{"type":"boolean"},"displayAbbyLogo":{"type":"boolean"},"displayTitle":{"type":"boolean"}},"required":["displayFullName","displayEmail","displayPhoneNumber","displaySAPAgreement","displayLegalStatus","displayRequiredMentionsProduct","displayMemberOfAnApprovedAssociation","displayAbbyLogo","displayTitle"]},"ReadAdvanceDto":{"type":"object","properties":{"id":{"type":"string"},"number":{"type":"string"},"title":{"type":"string","description":"Title of the billing document"},"type":{"allOf":[{"$ref":"#/components/schemas/BillingType"}]},"state":{"allOf":[{"$ref":"#/components/schemas/BillingState"}]},"customer":{"$ref":"#/components/schemas/ReadBillingCustomerDto"},"locale":{"allOf":[{"$ref":"#/components/schemas/BillingLocale"}]},"emittedAt":{"type":"number"},"archivedAt":{"type":"number"},"opportunity":{"$ref":"#/components/schemas/OpportunityDto"},"locked":{"type":"boolean"},"finalizable":{"type":"boolean"},"test":{"type":"boolean"},"isEditable":{"type":"boolean"},"currencyCode":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}]},"currency":{"$ref":"#/components/schemas/ReadCurrencyDto"},"lastDownloadAt":{"type":"number"},"attachments":{"type":"array","items":{"$ref":"#/components/schemas/ReadFileDto"}},"finalizeRequirements":{"type":"array","items":{"$ref":"#/components/schemas/FinalizeRequirementDto"}},"warnings":{"type":"array","items":{"$ref":"#/components/schemas/BillingWarningDto"}},"emitter":{"$ref":"#/components/schemas/ReadBillingEmitterDto"},"bankInformation":{"$ref":"#/components/schemas/ReadBankInformationDto"},"billingLegals":{"$ref":"#/components/schemas/BillingLegalsDto"},"createdAt":{"type":"number"},"updatedAt":{"type":"number"},"deliveryDate":{"type":"number"},"compatibilityVersion":{"allOf":[{"$ref":"#/components/schemas/BillingCompatibilityVersion"}]},"isDeletable":{"type":"boolean"},"displayDeliveryAddress":{"type":"boolean"},"finalizedAt":{"type":"number"},"lastSendByEmailAt":{"type":"number"},"themeId":{"type":"string","description":"ID of the theme applied to this document when set"},"paymentDelay":{"allOf":[{"$ref":"#/components/schemas/PaymentDelay"}]},"dueAt":{"type":"number"},"paidAt":{"type":"number"},"lastReminderSentAt":{"type":"number"},"isReminderActivated":{"type":"boolean"},"designation":{"type":"string"},"isOnlinePaymentActivated":{"type":"boolean"},"description":{"type":"string"},"total":{"$ref":"#/components/schemas/TotalDto"},"discount":{"$ref":"#/components/schemas/DiscountDto"},"displaySettings":{"$ref":"#/components/schemas/DisplaySettingsDto"},"parent":{"$ref":"#/components/schemas/ReadEstimateDto"},"advanceMode":{"allOf":[{"$ref":"#/components/schemas/AdvanceMode"}]},"advancePercentage":{"type":"number"},"advanceAmount":{"type":"number"},"reminder":{"$ref":"#/components/schemas/BillingReminderDto"},"latePenalty":{"$ref":"#/components/schemas/BillingLatePenaltyDto"},"lumpSumCompensation":{"$ref":"#/components/schemas/BillingLumpSumCompensationDto"},"discountAdvancePayment":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/BillingDiscountAdvancePaymentDto"}]},"hasAssociatedTransaction":{"type":"boolean","description":"Indicates if the customer has an associated transaction"},"includeDisbursement":{"type":"boolean","description":"Indicates if the advance includes disbursement"},"canceledAt":{"type":"number"}},"required":["id","type","state","customer","locale","emittedAt","finalizable","test","isEditable","currencyCode","currency","attachments","finalizeRequirements","warnings","emitter","billingLegals","createdAt","updatedAt","compatibilityVersion","isDeletable","displayDeliveryAddress","paymentDelay","isReminderActivated","designation","isOnlinePaymentActivated","total","displaySettings","advanceMode","advancePercentage","advanceAmount","hasAssociatedTransaction","includeDisbursement"]},"TotalDto":{"type":"object","properties":{"amountWithoutTaxBeforeDiscount":{"type":"number"},"amountWithoutTaxAfterDiscount":{"type":"number"},"amountWithTaxAfterDiscount":{"type":"number"},"remainingAmountWithoutTax":{"type":"number"},"remainingAmountWithTax":{"type":"number"},"remainingReconciliateAmount":{"type":"number"},"vatDetails":{"type":"array","items":{"$ref":"#/components/schemas/VatDetailDto"}},"discountAmount":{"type":"number"},"convertedAmounts":{"$ref":"#/components/schemas/ConvertedAmountsDto"}},"required":["amountWithoutTaxBeforeDiscount","amountWithoutTaxAfterDiscount","amountWithTaxAfterDiscount","remainingAmountWithoutTax","remainingAmountWithTax","remainingReconciliateAmount","vatDetails"]},"AdvanceMode":{"type":"string","enum":["AMOUNT","PERCENTAGE"],"description":"The mode of the advance (amount or percentage)"},"BillingReminderDto":{"type":"object","properties":{"inCopy":{"type":"boolean","description":"Indicates if the sender should be in copy of the reminder"},"frequency":{"description":"The frequency at which reminders should be sent","allOf":[{"$ref":"#/components/schemas/ReminderFrequency"}]},"numberOfRemindersToSend":{"type":"number","description":"The number of reminders to be sent"},"active":{"type":"boolean","description":"Indicates if the reminder is active"},"recipients":{"description":"Array of email addresses to receive the reminder","type":"array","items":{"type":"string"}}},"required":["inCopy","frequency","numberOfRemindersToSend","active"]},"ReminderFrequency":{"type":"string","enum":["on_due_date","every_week"],"description":"The frequency at which reminders should be sent"},"ReadEstimateAdvanceLinesDto":{"type":"object","properties":{"advances":{"description":"Array of advance items","type":"array","items":{"$ref":"#/components/schemas/ReadAdvanceItemLineDto"}},"totals":{"description":"Totals of the advance items","allOf":[{"$ref":"#/components/schemas/ReadAdvanceItemLineTotalsDto"}]},"convertedTotals":{"description":"Converted totals of the advance items","allOf":[{"$ref":"#/components/schemas/ReadAdvanceItemLineTotalsDto"}]}},"required":["advances","totals","convertedTotals"]},"ReadAdvanceItemLineDto":{"type":"object","properties":{"value":{"type":"number","description":"The value of the advance (amount or percentage)"},"mode":{"description":"The mode of the advance (amount or percentage)","allOf":[{"$ref":"#/components/schemas/AdvanceMode"}]},"paymentCondition":{"description":"Payment condition for the advance","allOf":[{"$ref":"#/components/schemas/PaymentCondition"}]},"customPaymentCondition":{"type":"string","description":"Custom payment condition if OTHER is selected","nullable":true}},"required":["value","mode"]},"PaymentCondition":{"type":"string","enum":["SIGNATURE","ORDER","OTHER"]},"ReadAdvanceItemLineTotalsDto":{"type":"object","properties":{"totalAmountWithoutTax":{"type":"number","description":"Total amount of all advances"},"totalAmountWithTax":{"type":"number","description":"Total amount of all advances after discount"},"remainingTotalAmountWithoutTax":{"type":"number","description":"Remaining total amount without tax"},"remainingTotalAmountWithTax":{"type":"number","description":"Remaining total amount with tax"}},"required":["totalAmountWithoutTax","totalAmountWithTax","remainingTotalAmountWithoutTax","remainingTotalAmountWithTax"]},"EstimateElectronicSignatureDto":{"type":"object","properties":{"id":{"type":"string"},"canceledAt":{"type":"number","nullable":true},"procedureId":{"type":"string","nullable":true},"magicLink":{"type":"string","nullable":true},"signedAt":{"type":"number","nullable":true},"refusedAt":{"type":"number","nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/ElectronicSignatureStatus"}]}},"required":["id","canceledAt","procedureId","magicLink","signedAt","refusedAt","status"]},"ElectronicSignatureStatus":{"type":"string","enum":["requested","activated","on_going","refused","signed","cancelled"]},"ElectronicSignatureRequirementDto":{"type":"object","properties":{"name":{"type":"string"},"message":{"type":"string"}},"required":["name","message"]}}},"paths":{"/v2/billing/estimate/{estimateId}/general-informations":{"patch":{"operationId":"EstimateController_updateGeneralInformations_v2","parameters":[{"name":"estimateId","required":true,"in":"path","description":"ID of the estimate to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateEstimateGeneralInformationsDto"}}}},"responses":{"200":{"description":"Estimate general informations updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadEstimateDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Estimate not found"}},"summary":"Update estimate general informations","tags":["estimate"]}}}}
```

## Mettre à jour la timeline (dates d'émission, expiration, etc.)

## PATCH /v2/billing/estimate/{estimateId}/timeline

> Update estimate timeline

```json
[...]
